Package org.gdal.gdal

## Class gdalJNI

- java.lang.Object
- - org.gdal.gdal.gdalJNI

-     public class gdalJNI
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `gdalJNI​()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `AllRegister​()` |
    `static void` | `ApplyGeoTransform​(double[] jarg1, double jarg2, double jarg3, double[] jarg4, double[] jarg5)` |
    `static long` | `ApplyVerticalShiftGrid__SWIG_0​(long jarg1, Dataset jarg1_, long jarg2, Dataset jarg2_, boolean jarg3, double jarg4, double jarg5, java.util.Vector jarg6)` |
    `static long` | `ApplyVerticalShiftGrid__SWIG_1​(long jarg1, Dataset jarg1_, long jarg2, Dataset jarg2_, boolean jarg3, double jarg4, double jarg5)` |
    `static long` | `ApplyVerticalShiftGrid__SWIG_2​(long jarg1, Dataset jarg1_, long jarg2, Dataset jarg2_, boolean jarg3, double jarg4)` |
    `static long` | `ApplyVerticalShiftGrid__SWIG_3​(long jarg1, Dataset jarg1_, long jarg2, Dataset jarg2_, boolean jarg3)` |
    `static long` | `ApplyVerticalShiftGrid__SWIG_4​(long jarg1, Dataset jarg1_, long jarg2, Dataset jarg2_)` |
    `static long` | `AutoCreateWarpedVRT__SWIG_0​(long jarg1, Dataset jarg1_, java.lang.String jarg2, java.lang.String jarg3, int jarg4, double jarg5)` |
    `static long` | `AutoCreateWarpedVRT__SWIG_1​(long jarg1, Dataset jarg1_, java.lang.String jarg2, java.lang.String jarg3, int jarg4)` |
    `static long` | `AutoCreateWarpedVRT__SWIG_2​(long jarg1, Dataset jarg1_, java.lang.String jarg2, java.lang.String jarg3)` |
    `static long` | `AutoCreateWarpedVRT__SWIG_3​(long jarg1, Dataset jarg1_, java.lang.String jarg2)` |
    `static long` | `AutoCreateWarpedVRT__SWIG_4​(long jarg1, Dataset jarg1_)` |
    `static int` | `Band_AdviseRead__SWIG_0​(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, long jarg6, long jarg7, long jarg8, java.util.Vector jarg9)` |
    `static int` | `Band_AdviseRead__SWIG_1​(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, long jarg6, long jarg7, long jarg8)` |
    `static int` | `Band_AdviseRead__SWIG_2​(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, long jarg6, long jarg7)` |
    `static int` | `Band_AdviseRead__SWIG_3​(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, long jarg6)` |
    `static int` | `Band_AdviseRead__SWIG_4​(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5)` |
    `static int` | `Band_Checksum​(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5)` |
    `static void` | `Band_ComputeBandStats__SWIG_0​(long jarg1, Band jarg1_, double[] jarg2, int jarg3)` |
    `static void` | `Band_ComputeBandStats__SWIG_1​(long jarg1, Band jarg1_, double[] jarg2)` |
    `static void` | `Band_ComputeRasterMinMax__SWIG_0​(long jarg1, Band jarg1_, double[] jarg2, int jarg3)` |
    `static void` | `Band_ComputeRasterMinMax__SWIG_1​(long jarg1, Band jarg1_, double[] jarg2)` |
    `static int` | `Band_ComputeStatistics__SWIG_0​(long jarg1, Band jarg1_, boolean jarg2, double[] jarg3, double[] jarg4, double[] jarg5, double[] jarg6, ProgressCallback jarg7)` |
    `static int` | `Band_ComputeStatistics__SWIG_2​(long jarg1, Band jarg1_, boolean jarg2, double[] jarg3, double[] jarg4, double[] jarg5, double[] jarg6)` |
    `static int` | `Band_ComputeStatistics__SWIG_3​(long jarg1, Band jarg1_, boolean jarg2, double[] jarg3, double[] jarg4, double[] jarg5)` |
    `static int` | `Band_ComputeStatistics__SWIG_4​(long jarg1, Band jarg1_, boolean jarg2, double[] jarg3, double[] jarg4)` |
    `static int` | `Band_ComputeStatistics__SWIG_5​(long jarg1, Band jarg1_, boolean jarg2, double[] jarg3)` |
    `static int` | `Band_ComputeStatistics__SWIG_6​(long jarg1, Band jarg1_, boolean jarg2)` |
    `static int` | `Band_CreateMaskBand​(long jarg1, Band jarg1_, int jarg2)` |
    `static int` | `Band_DataType_get​(long jarg1, Band jarg1_)` |
    `static int` | `Band_DeleteNoDataValue​(long jarg1, Band jarg1_)` |
    `static int` | `Band_Fill__SWIG_0​(long jarg1, Band jarg1_, double jarg2, double jarg3)` |
    `static int` | `Band_Fill__SWIG_1​(long jarg1, Band jarg1_, double jarg2)` |
    `static void` | `Band_FlushCache​(long jarg1, Band jarg1_)` |
    `static int` | `Band_GetBand​(long jarg1, Band jarg1_)` |
    `static void` | `Band_GetBlockSize​(long jarg1, Band jarg1_, int[] jarg2, int[] jarg3)` |
    `static java.util.Vector` | `Band_GetCategoryNames​(long jarg1, Band jarg1_)` |
    `static int` | `Band_GetColorInterpretation​(long jarg1, Band jarg1_)` |
    `static long` | `Band_GetColorTable​(long jarg1, Band jarg1_)` |
    `static long` | `Band_GetDataset​(long jarg1, Band jarg1_)` |
    `static int` | `Band_GetDefaultHistogram__SWIG_0​(long jarg1, Band jarg1_, double[] jarg2, double[] jarg3, int[][] jarg4, boolean jarg6, ProgressCallback jarg7)` |
    `static int` | `Band_GetDefaultHistogram__SWIG_2​(long jarg1, Band jarg1_, double[] jarg2, double[] jarg3, int[][] jarg4, boolean jarg6)` |
    `static int` | `Band_GetDefaultHistogram__SWIG_3​(long jarg1, Band jarg1_, double[] jarg2, double[] jarg3, int[][] jarg4)` |
    `static long` | `Band_GetDefaultRAT​(long jarg1, Band jarg1_)` |
    `static int` | `Band_GetHistogram__SWIG_0​(long jarg1, Band jarg1_, double jarg2, double jarg3, int[] jarg4, boolean jarg6, boolean jarg7, ProgressCallback jarg8)` |
    `static int` | `Band_GetHistogram__SWIG_1​(long jarg1, Band jarg1_, double jarg2, double jarg3, int[] jarg4, boolean jarg6, boolean jarg7)` |
    `static int` | `Band_GetHistogram__SWIG_2​(long jarg1, Band jarg1_, double jarg2, double jarg3, int[] jarg4)` |
    `static int` | `Band_GetHistogram__SWIG_3​(long jarg1, Band jarg1_, int[] jarg2)` |
    `static long` | `Band_GetMaskBand​(long jarg1, Band jarg1_)` |
    `static int` | `Band_GetMaskFlags​(long jarg1, Band jarg1_)` |
    `static void` | `Band_GetMaximum​(long jarg1, Band jarg1_, java.lang.Double[] jarg2)` |
    `static void` | `Band_GetMinimum​(long jarg1, Band jarg1_, java.lang.Double[] jarg2)` |
    `static void` | `Band_GetNoDataValue​(long jarg1, Band jarg1_, java.lang.Double[] jarg2)` |
    `static void` | `Band_GetOffset​(long jarg1, Band jarg1_, java.lang.Double[] jarg2)` |
    `static long` | `Band_GetOverview​(long jarg1, Band jarg1_, int jarg2)` |
    `static int` | `Band_GetOverviewCount​(long jarg1, Band jarg1_)` |
    `static java.util.Vector` | `Band_GetRasterCategoryNames​(long jarg1, Band jarg1_)` |
    `static int` | `Band_GetRasterColorInterpretation​(long jarg1, Band jarg1_)` |
    `static long` | `Band_GetRasterColorTable​(long jarg1, Band jarg1_)` |
    `static void` | `Band_GetScale​(long jarg1, Band jarg1_, java.lang.Double[] jarg2)` |
    `static int` | `Band_GetStatistics​(long jarg1, Band jarg1_, int jarg2, int jarg3, double[] jarg4, double[] jarg5, double[] jarg6, double[] jarg7)` |
    `static java.lang.String` | `Band_GetUnitType​(long jarg1, Band jarg1_)` |
    `static boolean` | `Band_HasArbitraryOverviews​(long jarg1, Band jarg1_)` |
    `static int` | `Band_ReadBlock_Direct​(long jarg1, Band jarg1_, int jarg2, int jarg3, java.nio.ByteBuffer jarg4)` |
    `static int` | `Band_ReadRaster__SWIG_0​(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, byte[] jarg9, int jarg11, int jarg12)` |
    `static int` | `Band_ReadRaster__SWIG_1​(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, byte[] jarg9, int jarg11)` |
    `static int` | `Band_ReadRaster__SWIG_10​(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, float[] jarg9, int jarg11)` |
    `static int` | `Band_ReadRaster__SWIG_11​(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, float[] jarg9)` |
    `static int` | `Band_ReadRaster__SWIG_12​(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, double[] jarg9, int jarg11, int jarg12)` |
    `static int` | `Band_ReadRaster__SWIG_13​(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, double[] jarg9, int jarg11)` |
    `static int` | `Band_ReadRaster__SWIG_14​(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, double[] jarg9)` |
    `static int` | `Band_ReadRaster__SWIG_2​(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, byte[] jarg9)` |
    `static int` | `Band_ReadRaster__SWIG_3​(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, short[] jarg9, int jarg11, int jarg12)` |
    `static int` | `Band_ReadRaster__SWIG_4​(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, short[] jarg9, int jarg11)` |
    `static int` | `Band_ReadRaster__SWIG_5​(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, short[] jarg9)` |
    `static int` | `Band_ReadRaster__SWIG_6​(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, int[] jarg9, int jarg11, int jarg12)` |
    `static int` | `Band_ReadRaster__SWIG_7​(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, int[] jarg9, int jarg11)` |
    `static int` | `Band_ReadRaster__SWIG_8​(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, int[] jarg9)` |
    `static int` | `Band_ReadRaster__SWIG_9​(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, float[] jarg9, int jarg11, int jarg12)` |
    `static int` | `Band_ReadRaster_Direct__SWIG_0​(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, java.nio.ByteBuffer jarg9, int jarg11, int jarg12)` |
    `static int` | `Band_ReadRaster_Direct__SWIG_1​(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, java.nio.ByteBuffer jarg9, int jarg11)` |
    `static int` | `Band_ReadRaster_Direct__SWIG_2​(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, java.nio.ByteBuffer jarg9)` |
    `static int` | `Band_SetCategoryNames​(long jarg1, Band jarg1_, java.util.Vector jarg2)` |
    `static int` | `Band_SetColorInterpretation​(long jarg1, Band jarg1_, int jarg2)` |
    `static int` | `Band_SetColorTable​(long jarg1, Band jarg1_, long jarg2, ColorTable jarg2_)` |
    `static int` | `Band_SetDefaultHistogram​(long jarg1, Band jarg1_, double jarg2, double jarg3, int[] jarg4)` |
    `static int` | `Band_SetDefaultRAT​(long jarg1, Band jarg1_, long jarg2, RasterAttributeTable jarg2_)` |
    `static int` | `Band_SetNoDataValue​(long jarg1, Band jarg1_, double jarg2)` |
    `static int` | `Band_SetOffset​(long jarg1, Band jarg1_, double jarg2)` |
    `static int` | `Band_SetRasterCategoryNames​(long jarg1, Band jarg1_, java.util.Vector jarg2)` |
    `static int` | `Band_SetRasterColorInterpretation​(long jarg1, Band jarg1_, int jarg2)` |
    `static int` | `Band_SetRasterColorTable​(long jarg1, Band jarg1_, long jarg2, ColorTable jarg2_)` |
    `static int` | `Band_SetScale​(long jarg1, Band jarg1_, double jarg2)` |
    `static int` | `Band_SetStatistics​(long jarg1, Band jarg1_, double jarg2, double jarg3, double jarg4, double jarg5)` |
    `static int` | `Band_SetUnitType​(long jarg1, Band jarg1_, java.lang.String jarg2)` |
    `static long` | `Band_SWIGUpcast​(long jarg1)` |
    `static int` | `Band_WriteBlock_Direct​(long jarg1, Band jarg1_, int jarg2, int jarg3, java.nio.ByteBuffer jarg4)` |
    `static int` | `Band_WriteRaster__SWIG_0​(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, byte[] jarg9, int jarg11, int jarg12)` |
    `static int` | `Band_WriteRaster__SWIG_1​(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, byte[] jarg9, int jarg11)` |
    `static int` | `Band_WriteRaster__SWIG_10​(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, float[] jarg9, int jarg11)` |
    `static int` | `Band_WriteRaster__SWIG_11​(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, float[] jarg9)` |
    `static int` | `Band_WriteRaster__SWIG_12​(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, double[] jarg9, int jarg11, int jarg12)` |
    `static int` | `Band_WriteRaster__SWIG_13​(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, double[] jarg9, int jarg11)` |
    `static int` | `Band_WriteRaster__SWIG_14​(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, double[] jarg9)` |
    `static int` | `Band_WriteRaster__SWIG_2​(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, byte[] jarg9)` |
    `static int` | `Band_WriteRaster__SWIG_3​(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, short[] jarg9, int jarg11, int jarg12)` |
    `static int` | `Band_WriteRaster__SWIG_4​(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, short[] jarg9, int jarg11)` |
    `static int` | `Band_WriteRaster__SWIG_5​(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, short[] jarg9)` |
    `static int` | `Band_WriteRaster__SWIG_6​(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, int[] jarg9, int jarg11, int jarg12)` |
    `static int` | `Band_WriteRaster__SWIG_7​(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, int[] jarg9, int jarg11)` |
    `static int` | `Band_WriteRaster__SWIG_8​(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, int[] jarg9)` |
    `static int` | `Band_WriteRaster__SWIG_9​(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, float[] jarg9, int jarg11, int jarg12)` |
    `static int` | `Band_WriteRaster_Direct__SWIG_0​(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, java.nio.ByteBuffer jarg9, int jarg11, int jarg12)` |
    `static int` | `Band_WriteRaster_Direct__SWIG_1​(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, java.nio.ByteBuffer jarg9, int jarg11)` |
    `static int` | `Band_WriteRaster_Direct__SWIG_2​(long jarg1, Band jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, java.nio.ByteBuffer jarg9)` |
    `static int` | `Band_XSize_get​(long jarg1, Band jarg1_)` |
    `static int` | `Band_YSize_get​(long jarg1, Band jarg1_)` |
    `static long` | `BuildVRT__SWIG_0​(java.lang.String jarg1, Dataset[] jarg2, long jarg4, BuildVRTOptions jarg4_, ProgressCallback jarg5)` |
    `static long` | `BuildVRT__SWIG_2​(java.lang.String jarg1, Dataset[] jarg2, long jarg4, BuildVRTOptions jarg4_)` |
    `static long` | `BuildVRT__SWIG_3​(java.lang.String jarg1, java.util.Vector jarg2, long jarg3, BuildVRTOptions jarg3_, ProgressCallback jarg4)` |
    `static long` | `BuildVRT__SWIG_5​(java.lang.String jarg1, java.util.Vector jarg2, long jarg3, BuildVRTOptions jarg3_)` |
    `static long` | `ColorTable_Clone​(long jarg1, ColorTable jarg1_)` |
    `static void` | `ColorTable_CreateColorRamp​(long jarg1, ColorTable jarg1_, int jarg2, java.awt.Color jarg3, int jarg4, java.awt.Color jarg5)` |
    `static java.awt.Color` | `ColorTable_GetColorEntry​(long jarg1, ColorTable jarg1_, int jarg2)` |
    `static int` | `ColorTable_GetCount​(long jarg1, ColorTable jarg1_)` |
    `static int` | `ColorTable_GetPaletteInterpretation​(long jarg1, ColorTable jarg1_)` |
    `static void` | `ColorTable_SetColorEntry​(long jarg1, ColorTable jarg1_, int jarg2, java.awt.Color jarg3)` |
    `static int` | `ComputeMedianCutPCT__SWIG_0​(long jarg1, Band jarg1_, long jarg2, Band jarg2_, long jarg3, Band jarg3_, int jarg4, long jarg5, ColorTable jarg5_, ProgressCallback jarg6)` |
    `static int` | `ComputeMedianCutPCT__SWIG_2​(long jarg1, Band jarg1_, long jarg2, Band jarg2_, long jarg3, Band jarg3_, int jarg4, long jarg5, ColorTable jarg5_)` |
    `static int` | `ComputeProximity__SWIG_0​(long jarg1, Band jarg1_, long jarg2, Band jarg2_, java.util.Vector jarg3, ProgressCallback jarg4)` |
    `static int` | `ComputeProximity__SWIG_2​(long jarg1, Band jarg1_, long jarg2, Band jarg2_, java.util.Vector jarg3)` |
    `static int` | `ComputeProximity__SWIG_3​(long jarg1, Band jarg1_, long jarg2, Band jarg2_)` |
    `static int` | `ContourGenerate__SWIG_0​(long jarg1, Band jarg1_, double jarg2, double jarg3, double[] jarg4, int jarg6, double jarg7, long jarg8, Layer jarg8_, int jarg9, int jarg10, ProgressCallback jarg11)` |
    `static int` | `ContourGenerate__SWIG_2​(long jarg1, Band jarg1_, double jarg2, double jarg3, double[] jarg4, int jarg6, double jarg7, long jarg8, Layer jarg8_, int jarg9, int jarg10)` |
    `static java.lang.String` | `CPLBinaryToHex​(byte[] jarg1)` |
    `static byte[]` | `CPLHexToBinary​(java.lang.String jarg1)` |
    `static long` | `CreatePansharpenedVRT​(java.lang.String jarg1, long jarg2, Band jarg2_, Band[] jarg3)` |
    `static int` | `CXT_Attribute_get​()` |
    `static int` | `CXT_Comment_get​()` |
    `static int` | `CXT_Element_get​()` |
    `static int` | `CXT_Literal_get​()` |
    `static int` | `CXT_Text_get​()` |
    `static int` | `Dataset_AddBand__SWIG_0​(long jarg1, Dataset jarg1_, int jarg2, java.util.Vector jarg3)` |
    `static int` | `Dataset_AddBand__SWIG_1​(long jarg1, Dataset jarg1_, int jarg2)` |
    `static int` | `Dataset_AddBand__SWIG_2​(long jarg1, Dataset jarg1_)` |
    `static int` | `Dataset_AdviseRead__SWIG_0​(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, long jarg6, long jarg7, long jarg8, int[] jarg9, java.util.Vector jarg11)` |
    `static int` | `Dataset_AdviseRead__SWIG_1​(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, long jarg6, long jarg7, long jarg8, int[] jarg9)` |
    `static int` | `Dataset_AdviseRead__SWIG_3​(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, long jarg6, long jarg7, long jarg8)` |
    `static int` | `Dataset_AdviseRead__SWIG_4​(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, long jarg6, long jarg7)` |
    `static int` | `Dataset_AdviseRead__SWIG_5​(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, long jarg6)` |
    `static int` | `Dataset_AdviseRead__SWIG_6​(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5)` |
    `static int` | `Dataset_BuildOverviews__SWIG_0​(long jarg1, Dataset jarg1_, java.lang.String jarg2, int[] jarg3, ProgressCallback jarg5)` |
    `static int` | `Dataset_BuildOverviews__SWIG_2​(long jarg1, Dataset jarg1_, java.lang.String jarg2, int[] jarg3)` |
    `static int` | `Dataset_CommitTransaction​(long jarg1, Dataset jarg1_)` |
    `static long` | `Dataset_CopyLayer__SWIG_0​(long jarg1, Dataset jarg1_, long jarg2, Layer jarg2_, java.lang.String jarg3, java.util.Vector jarg4)` |
    `static long` | `Dataset_CopyLayer__SWIG_1​(long jarg1, Dataset jarg1_, long jarg2, Layer jarg2_, java.lang.String jarg3)` |
    `static long` | `Dataset_CreateLayer__SWIG_0​(long jarg1, Dataset jarg1_, java.lang.String jarg2, long jarg3, SpatialReference jarg3_, int jarg4, java.util.Vector jarg5)` |
    `static long` | `Dataset_CreateLayer__SWIG_1​(long jarg1, Dataset jarg1_, java.lang.String jarg2, long jarg3, SpatialReference jarg3_, int jarg4)` |
    `static long` | `Dataset_CreateLayer__SWIG_2​(long jarg1, Dataset jarg1_, java.lang.String jarg2, long jarg3, SpatialReference jarg3_)` |
    `static long` | `Dataset_CreateLayer__SWIG_3​(long jarg1, Dataset jarg1_, java.lang.String jarg2)` |
    `static int` | `Dataset_CreateMaskBand​(long jarg1, Dataset jarg1_, int jarg2)` |
    `static int` | `Dataset_DeleteLayer​(long jarg1, Dataset jarg1_, int jarg2)` |
    `static long` | `Dataset_ExecuteSQL__SWIG_0​(long jarg1, Dataset jarg1_, java.lang.String jarg2, long jarg3, Geometry jarg3_, java.lang.String jarg4)` |
    `static long` | `Dataset_ExecuteSQL__SWIG_1​(long jarg1, Dataset jarg1_, java.lang.String jarg2, long jarg3, Geometry jarg3_)` |
    `static long` | `Dataset_ExecuteSQL__SWIG_2​(long jarg1, Dataset jarg1_, java.lang.String jarg2)` |
    `static void` | `Dataset_FlushCache​(long jarg1, Dataset jarg1_)` |
    `static long` | `Dataset_GetDriver​(long jarg1, Dataset jarg1_)` |
    `static java.util.Vector` | `Dataset_GetFileList​(long jarg1, Dataset jarg1_)` |
    `static int` | `Dataset_GetGCPCount​(long jarg1, Dataset jarg1_)` |
    `static java.lang.String` | `Dataset_GetGCPProjection​(long jarg1, Dataset jarg1_)` |
    `static void` | `Dataset_GetGCPs​(long jarg1, Dataset jarg1_, java.util.Vector jarg2)` |
    `static void` | `Dataset_GetGeoTransform​(long jarg1, Dataset jarg1_, double[] jarg2)` |
    `static long` | `Dataset_GetLayerByIndex​(long jarg1, Dataset jarg1_, int jarg2)` |
    `static long` | `Dataset_GetLayerByName​(long jarg1, Dataset jarg1_, java.lang.String jarg2)` |
    `static int` | `Dataset_GetLayerCount​(long jarg1, Dataset jarg1_)` |
    `static long` | `Dataset_GetNextFeature​(long jarg1, Dataset jarg1_)` |
    `static java.lang.String` | `Dataset_GetProjection​(long jarg1, Dataset jarg1_)` |
    `static java.lang.String` | `Dataset_GetProjectionRef​(long jarg1, Dataset jarg1_)` |
    `static long` | `Dataset_GetRasterBand​(long jarg1, Dataset jarg1_, int jarg2)` |
    `static long` | `Dataset_GetStyleTable​(long jarg1, Dataset jarg1_)` |
    `static int` | `Dataset_RasterCount_get​(long jarg1, Dataset jarg1_)` |
    `static int` | `Dataset_RasterXSize_get​(long jarg1, Dataset jarg1_)` |
    `static int` | `Dataset_RasterYSize_get​(long jarg1, Dataset jarg1_)` |
    `static int` | `Dataset_ReadRaster__SWIG_0​(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, byte[] jarg9, int[] jarg11, int jarg13, int jarg14, int jarg15)` |
    `static int` | `Dataset_ReadRaster__SWIG_1​(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, byte[] jarg9, int[] jarg11, int jarg13, int jarg14)` |
    `static int` | `Dataset_ReadRaster__SWIG_10​(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, int[] jarg9, int[] jarg11, int jarg13)` |
    `static int` | `Dataset_ReadRaster__SWIG_11​(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, int[] jarg9, int[] jarg11)` |
    `static int` | `Dataset_ReadRaster__SWIG_12​(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, float[] jarg9, int[] jarg11, int jarg13, int jarg14, int jarg15)` |
    `static int` | `Dataset_ReadRaster__SWIG_13​(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, float[] jarg9, int[] jarg11, int jarg13, int jarg14)` |
    `static int` | `Dataset_ReadRaster__SWIG_14​(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, float[] jarg9, int[] jarg11, int jarg13)` |
    `static int` | `Dataset_ReadRaster__SWIG_15​(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, float[] jarg9, int[] jarg11)` |
    `static int` | `Dataset_ReadRaster__SWIG_16​(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, double[] jarg9, int[] jarg11, int jarg13, int jarg14, int jarg15)` |
    `static int` | `Dataset_ReadRaster__SWIG_17​(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, double[] jarg9, int[] jarg11, int jarg13, int jarg14)` |
    `static int` | `Dataset_ReadRaster__SWIG_18​(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, double[] jarg9, int[] jarg11, int jarg13)` |
    `static int` | `Dataset_ReadRaster__SWIG_19​(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, double[] jarg9, int[] jarg11)` |
    `static int` | `Dataset_ReadRaster__SWIG_2​(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, byte[] jarg9, int[] jarg11, int jarg13)` |
    `static int` | `Dataset_ReadRaster__SWIG_3​(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, byte[] jarg9, int[] jarg11)` |
    `static int` | `Dataset_ReadRaster__SWIG_4​(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, short[] jarg9, int[] jarg11, int jarg13, int jarg14, int jarg15)` |
    `static int` | `Dataset_ReadRaster__SWIG_5​(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, short[] jarg9, int[] jarg11, int jarg13, int jarg14)` |
    `static int` | `Dataset_ReadRaster__SWIG_6​(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, short[] jarg9, int[] jarg11, int jarg13)` |
    `static int` | `Dataset_ReadRaster__SWIG_7​(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, short[] jarg9, int[] jarg11)` |
    `static int` | `Dataset_ReadRaster__SWIG_8​(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, int[] jarg9, int[] jarg11, int jarg13, int jarg14, int jarg15)` |
    `static int` | `Dataset_ReadRaster__SWIG_9​(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, int[] jarg9, int[] jarg11, int jarg13, int jarg14)` |
    `static int` | `Dataset_ReadRaster_Direct__SWIG_0​(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, java.nio.ByteBuffer jarg9, int[] jarg11, int jarg13, int jarg14, int jarg15)` |
    `static int` | `Dataset_ReadRaster_Direct__SWIG_1​(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, java.nio.ByteBuffer jarg9, int[] jarg11, int jarg13, int jarg14)` |
    `static int` | `Dataset_ReadRaster_Direct__SWIG_2​(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, java.nio.ByteBuffer jarg9, int[] jarg11, int jarg13)` |
    `static int` | `Dataset_ReadRaster_Direct__SWIG_3​(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, java.nio.ByteBuffer jarg9, int[] jarg11)` |
    `static void` | `Dataset_ReleaseResultSet​(long jarg1, Dataset jarg1_, long jarg2, Layer jarg2_)` |
    `static void` | `Dataset_ResetReading​(long jarg1, Dataset jarg1_)` |
    `static int` | `Dataset_RollbackTransaction​(long jarg1, Dataset jarg1_)` |
    `static int` | `Dataset_SetGCPs​(long jarg1, Dataset jarg1_, GCP[] jarg2, java.lang.String jarg4)` |
    `static int` | `Dataset_SetGeoTransform​(long jarg1, Dataset jarg1_, double[] jarg2)` |
    `static int` | `Dataset_SetProjection​(long jarg1, Dataset jarg1_, java.lang.String jarg2)` |
    `static void` | `Dataset_SetStyleTable​(long jarg1, Dataset jarg1_, long jarg2, StyleTable jarg2_)` |
    `static int` | `Dataset_StartTransaction__SWIG_0​(long jarg1, Dataset jarg1_, int jarg2)` |
    `static int` | `Dataset_StartTransaction__SWIG_1​(long jarg1, Dataset jarg1_)` |
    `static long` | `Dataset_SWIGUpcast​(long jarg1)` |
    `static boolean` | `Dataset_TestCapability​(long jarg1, Dataset jarg1_, java.lang.String jarg2)` |
    `static int` | `Dataset_WriteRaster__SWIG_0​(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, byte[] jarg9, int[] jarg11, int jarg13, int jarg14, int jarg15)` |
    `static int` | `Dataset_WriteRaster__SWIG_1​(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, byte[] jarg9, int[] jarg11, int jarg13, int jarg14)` |
    `static int` | `Dataset_WriteRaster__SWIG_10​(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, int[] jarg9, int[] jarg11, int jarg13)` |
    `static int` | `Dataset_WriteRaster__SWIG_11​(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, int[] jarg9, int[] jarg11)` |
    `static int` | `Dataset_WriteRaster__SWIG_12​(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, float[] jarg9, int[] jarg11, int jarg13, int jarg14, int jarg15)` |
    `static int` | `Dataset_WriteRaster__SWIG_13​(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, float[] jarg9, int[] jarg11, int jarg13, int jarg14)` |
    `static int` | `Dataset_WriteRaster__SWIG_14​(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, float[] jarg9, int[] jarg11, int jarg13)` |
    `static int` | `Dataset_WriteRaster__SWIG_15​(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, float[] jarg9, int[] jarg11)` |
    `static int` | `Dataset_WriteRaster__SWIG_16​(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, double[] jarg9, int[] jarg11, int jarg13, int jarg14, int jarg15)` |
    `static int` | `Dataset_WriteRaster__SWIG_17​(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, double[] jarg9, int[] jarg11, int jarg13, int jarg14)` |
    `static int` | `Dataset_WriteRaster__SWIG_18​(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, double[] jarg9, int[] jarg11, int jarg13)` |
    `static int` | `Dataset_WriteRaster__SWIG_19​(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, double[] jarg9, int[] jarg11)` |
    `static int` | `Dataset_WriteRaster__SWIG_2​(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, byte[] jarg9, int[] jarg11, int jarg13)` |
    `static int` | `Dataset_WriteRaster__SWIG_3​(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, byte[] jarg9, int[] jarg11)` |
    `static int` | `Dataset_WriteRaster__SWIG_4​(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, short[] jarg9, int[] jarg11, int jarg13, int jarg14, int jarg15)` |
    `static int` | `Dataset_WriteRaster__SWIG_5​(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, short[] jarg9, int[] jarg11, int jarg13, int jarg14)` |
    `static int` | `Dataset_WriteRaster__SWIG_6​(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, short[] jarg9, int[] jarg11, int jarg13)` |
    `static int` | `Dataset_WriteRaster__SWIG_7​(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, short[] jarg9, int[] jarg11)` |
    `static int` | `Dataset_WriteRaster__SWIG_8​(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, int[] jarg9, int[] jarg11, int jarg13, int jarg14, int jarg15)` |
    `static int` | `Dataset_WriteRaster__SWIG_9​(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, int[] jarg9, int[] jarg11, int jarg13, int jarg14)` |
    `static int` | `Dataset_WriteRaster_Direct__SWIG_0​(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, java.nio.ByteBuffer jarg9, int[] jarg11, int jarg13, int jarg14, int jarg15)` |
    `static int` | `Dataset_WriteRaster_Direct__SWIG_1​(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, java.nio.ByteBuffer jarg9, int[] jarg11, int jarg13, int jarg14)` |
    `static int` | `Dataset_WriteRaster_Direct__SWIG_2​(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, java.nio.ByteBuffer jarg9, int[] jarg11, int jarg13)` |
    `static int` | `Dataset_WriteRaster_Direct__SWIG_3​(long jarg1, Dataset jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, int jarg6, int jarg7, int jarg8, java.nio.ByteBuffer jarg9, int[] jarg11)` |
    `static int` | `DataTypeIsComplex​(int jarg1)` |
    `static void` | `Debug​(java.lang.String jarg1, java.lang.String jarg2)` |
    `static java.lang.String` | `DecToDMS__SWIG_0​(double jarg1, java.lang.String jarg2, int jarg3)` |
    `static java.lang.String` | `DecToDMS__SWIG_1​(double jarg1, java.lang.String jarg2)` |
    `static double` | `DecToPackedDMS​(double jarg1)` |
    `static void` | `delete_BuildVRTOptions​(long jarg1)` |
    `static void` | `delete_ColorTable​(long jarg1)` |
    `static void` | `delete_Dataset​(long jarg1)` |
    `static void` | `delete_DEMProcessingOptions​(long jarg1)` |
    `static void` | `delete_GCP​(long jarg1)` |
    `static void` | `delete_GridOptions​(long jarg1)` |
    `static void` | `delete_InfoOptions​(long jarg1)` |
    `static void` | `delete_NearblackOptions​(long jarg1)` |
    `static void` | `delete_ProgressCallback​(long jarg1)` |
    `static void` | `delete_RasterAttributeTable​(long jarg1)` |
    `static void` | `delete_RasterizeOptions​(long jarg1)` |
    `static void` | `delete_TermProgressCallback​(long jarg1)` |
    `static void` | `delete_Transformer​(long jarg1)` |
    `static void` | `delete_TranslateOptions​(long jarg1)` |
    `static void` | `delete_VectorTranslateOptions​(long jarg1)` |
    `static void` | `delete_WarpOptions​(long jarg1)` |
    `static void` | `delete_XMLNode​(long jarg1)` |
    `static long` | `DEMProcessing__SWIG_0​(java.lang.String jarg1, long jarg2, Dataset jarg2_, java.lang.String jarg3, java.lang.String jarg4, long jarg5, DEMProcessingOptions jarg5_, ProgressCallback jarg6)` |
    `static long` | `DEMProcessing__SWIG_2​(java.lang.String jarg1, long jarg2, Dataset jarg2_, java.lang.String jarg3, java.lang.String jarg4, long jarg5, DEMProcessingOptions jarg5_)` |
    `static int` | `DitherRGB2PCT__SWIG_0​(long jarg1, Band jarg1_, long jarg2, Band jarg2_, long jarg3, Band jarg3_, long jarg4, Band jarg4_, long jarg5, ColorTable jarg5_, ProgressCallback jarg6)` |
    `static int` | `DitherRGB2PCT__SWIG_2​(long jarg1, Band jarg1_, long jarg2, Band jarg2_, long jarg3, Band jarg3_, long jarg4, Band jarg4_, long jarg5, ColorTable jarg5_)` |
    `static void` | `DontUseExceptions​()` |
    `static int` | `Driver_CopyFiles​(long jarg1, Driver jarg1_, java.lang.String jarg2, java.lang.String jarg3)` |
    `static long` | `Driver_Create__SWIG_0​(long jarg1, Driver jarg1_, java.lang.String jarg2, int jarg3, int jarg4, int jarg5, int jarg6, java.util.Vector jarg7)` |
    `static long` | `Driver_Create__SWIG_1​(long jarg1, Driver jarg1_, java.lang.String jarg2, int jarg3, int jarg4, int jarg5, int jarg6)` |
    `static long` | `Driver_Create__SWIG_2​(long jarg1, Driver jarg1_, java.lang.String jarg2, int jarg3, int jarg4, int jarg5)` |
    `static long` | `Driver_Create__SWIG_3​(long jarg1, Driver jarg1_, java.lang.String jarg2, int jarg3, int jarg4)` |
    `static long` | `Driver_CreateCopy__SWIG_0​(long jarg1, Driver jarg1_, java.lang.String jarg2, long jarg3, Dataset jarg3_, int jarg4, java.util.Vector jarg5, ProgressCallback jarg6)` |
    `static long` | `Driver_CreateCopy__SWIG_2​(long jarg1, Driver jarg1_, java.lang.String jarg2, long jarg3, Dataset jarg3_, int jarg4, java.util.Vector jarg5)` |
    `static long` | `Driver_CreateCopy__SWIG_3​(long jarg1, Driver jarg1_, java.lang.String jarg2, long jarg3, Dataset jarg3_, int jarg4)` |
    `static long` | `Driver_CreateCopy__SWIG_4​(long jarg1, Driver jarg1_, java.lang.String jarg2, long jarg3, Dataset jarg3_)` |
    `static int` | `Driver_Delete​(long jarg1, Driver jarg1_, java.lang.String jarg2)` |
    `static void` | `Driver_Deregister​(long jarg1, Driver jarg1_)` |
    `static java.lang.String` | `Driver_HelpTopic_get​(long jarg1, Driver jarg1_)` |
    `static java.lang.String` | `Driver_LongName_get​(long jarg1, Driver jarg1_)` |
    `static int` | `Driver_Register​(long jarg1, Driver jarg1_)` |
    `static int` | `Driver_Rename​(long jarg1, Driver jarg1_, java.lang.String jarg2, java.lang.String jarg3)` |
    `static java.lang.String` | `Driver_ShortName_get​(long jarg1, Driver jarg1_)` |
    `static long` | `Driver_SWIGUpcast​(long jarg1)` |
    `static void` | `Error​(int jarg1, int jarg2, java.lang.String jarg3)` |
    `static void` | `ErrorReset​()` |
    `static java.lang.String` | `EscapeString__SWIG_0​(byte[] jarg1, int jarg3)` |
    `static java.lang.String` | `EscapeString__SWIG_1​(java.lang.String jarg1, int jarg2)` |
    `static void` | `FileFromMemBuffer​(java.lang.String jarg1, byte[] jarg2)` |
    `static int` | `FillNodata__SWIG_0​(long jarg1, Band jarg1_, long jarg2, Band jarg2_, double jarg3, int jarg4, java.util.Vector jarg5, ProgressCallback jarg6)` |
    `static int` | `FillNodata__SWIG_2​(long jarg1, Band jarg1_, long jarg2, Band jarg2_, double jarg3, int jarg4, java.util.Vector jarg5)` |
    `static int` | `FillNodata__SWIG_3​(long jarg1, Band jarg1_, long jarg2, Band jarg2_, double jarg3, int jarg4)` |
    `static void` | `FinderClean​()` |
    `static java.lang.String` | `FindFile​(java.lang.String jarg1, java.lang.String jarg2)` |
    `static int` | `FPolygonize__SWIG_0​(long jarg1, Band jarg1_, long jarg2, Band jarg2_, long jarg3, Layer jarg3_, int jarg4, java.util.Vector jarg5, ProgressCallback jarg6)` |
    `static int` | `FPolygonize__SWIG_2​(long jarg1, Band jarg1_, long jarg2, Band jarg2_, long jarg3, Layer jarg3_, int jarg4, java.util.Vector jarg5)` |
    `static int` | `FPolygonize__SWIG_3​(long jarg1, Band jarg1_, long jarg2, Band jarg2_, long jarg3, Layer jarg3_, int jarg4)` |
    `static double` | `GCP_GCPLine_get​(long jarg1, GCP jarg1_)` |
    `static void` | `GCP_GCPLine_set​(long jarg1, GCP jarg1_, double jarg2)` |
    `static double` | `GCP_GCPPixel_get​(long jarg1, GCP jarg1_)` |
    `static void` | `GCP_GCPPixel_set​(long jarg1, GCP jarg1_, double jarg2)` |
    `static double` | `GCP_GCPX_get​(long jarg1, GCP jarg1_)` |
    `static void` | `GCP_GCPX_set​(long jarg1, GCP jarg1_, double jarg2)` |
    `static double` | `GCP_GCPY_get​(long jarg1, GCP jarg1_)` |
    `static void` | `GCP_GCPY_set​(long jarg1, GCP jarg1_, double jarg2)` |
    `static double` | `GCP_GCPZ_get​(long jarg1, GCP jarg1_)` |
    `static void` | `GCP_GCPZ_set​(long jarg1, GCP jarg1_, double jarg2)` |
    `static java.lang.String` | `GCP_Id_get​(long jarg1, GCP jarg1_)` |
    `static void` | `GCP_Id_set​(long jarg1, GCP jarg1_, java.lang.String jarg2)` |
    `static java.lang.String` | `GCP_Info_get​(long jarg1, GCP jarg1_)` |
    `static void` | `GCP_Info_set​(long jarg1, GCP jarg1_, java.lang.String jarg2)` |
    `static int` | `GCPsToGeoTransform__SWIG_0​(GCP[] jarg1, double[] jarg3, int jarg4)` |
    `static int` | `GCPsToGeoTransform__SWIG_1​(GCP[] jarg1, double[] jarg3)` |
    `static double` | `GDAL_GCP_GCPLine_get​(long jarg1, GCP jarg1_)` |
    `static void` | `GDAL_GCP_GCPLine_set​(long jarg1, GCP jarg1_, double jarg2)` |
    `static double` | `GDAL_GCP_GCPPixel_get​(long jarg1, GCP jarg1_)` |
    `static void` | `GDAL_GCP_GCPPixel_set​(long jarg1, GCP jarg1_, double jarg2)` |
    `static double` | `GDAL_GCP_GCPX_get​(long jarg1, GCP jarg1_)` |
    `static void` | `GDAL_GCP_GCPX_set​(long jarg1, GCP jarg1_, double jarg2)` |
    `static double` | `GDAL_GCP_GCPY_get​(long jarg1, GCP jarg1_)` |
    `static void` | `GDAL_GCP_GCPY_set​(long jarg1, GCP jarg1_, double jarg2)` |
    `static double` | `GDAL_GCP_GCPZ_get​(long jarg1, GCP jarg1_)` |
    `static void` | `GDAL_GCP_GCPZ_set​(long jarg1, GCP jarg1_, double jarg2)` |
    `static java.lang.String` | `GDAL_GCP_Id_get​(long jarg1, GCP jarg1_)` |
    `static void` | `GDAL_GCP_Id_set​(long jarg1, GCP jarg1_, java.lang.String jarg2)` |
    `static java.lang.String` | `GDAL_GCP_Info_get​(long jarg1, GCP jarg1_)` |
    `static void` | `GDAL_GCP_Info_set​(long jarg1, GCP jarg1_, java.lang.String jarg2)` |
    `static void` | `GDALDestroyDriverManager​()` |
    `static java.lang.String` | `GDALInfo​(long jarg1, Dataset jarg1_, long jarg2, InfoOptions jarg2_)` |
    `static java.util.Vector` | `GeneralCmdLineProcessor__SWIG_0​(java.util.Vector jarg1, int jarg2)` |
    `static java.util.Vector` | `GeneralCmdLineProcessor__SWIG_1​(java.util.Vector jarg1)` |
    `static java.lang.String` | `GetActualURL​(java.lang.String jarg1)` |
    `static int` | `GetCacheMax​()` |
    `static int` | `GetCacheUsed​()` |
    `static java.lang.String` | `GetColorInterpretationName​(int jarg1)` |
    `static java.lang.String` | `GetConfigOption__SWIG_0​(java.lang.String jarg1, java.lang.String jarg2)` |
    `static java.lang.String` | `GetConfigOption__SWIG_1​(java.lang.String jarg1)` |
    `static int` | `GetDataTypeByName​(java.lang.String jarg1)` |
    `static java.lang.String` | `GetDataTypeName​(int jarg1)` |
    `static int` | `GetDataTypeSize​(int jarg1)` |
    `static long` | `GetDriver​(int jarg1)` |
    `static long` | `GetDriverByName​(java.lang.String jarg1)` |
    `static int` | `GetDriverCount​()` |
    `static long` | `GetErrorCounter​()` |
    `static java.lang.String` | `GetFileSystemOptions​(java.lang.String jarg1)` |
    `static java.util.Vector` | `GetFileSystemsPrefixes​()` |
    `static java.lang.String` | `GetJPEG2000StructureAsString__SWIG_0​(java.lang.String jarg1, java.util.Vector jarg2)` |
    `static java.lang.String` | `GetJPEG2000StructureAsString__SWIG_1​(java.lang.String jarg1)` |
    `static java.lang.String` | `GetLastErrorMsg​()` |
    `static int` | `GetLastErrorNo​()` |
    `static int` | `GetLastErrorType​()` |
    `static java.lang.String` | `GetPaletteInterpretationName​(int jarg1)` |
    `static java.lang.String` | `GetSignedURL__SWIG_0​(java.lang.String jarg1, java.util.Vector jarg2)` |
    `static java.lang.String` | `GetSignedURL__SWIG_1​(java.lang.String jarg1)` |
    `static java.lang.String` | `GOA2GetAccessToken​(java.lang.String jarg1, java.lang.String jarg2)` |
    `static java.lang.String` | `GOA2GetAuthorizationURL​(java.lang.String jarg1)` |
    `static java.lang.String` | `GOA2GetRefreshToken​(java.lang.String jarg1, java.lang.String jarg2)` |
    `static long` | `Grid__SWIG_0​(java.lang.String jarg1, long jarg2, Dataset jarg2_, long jarg3, GridOptions jarg3_, ProgressCallback jarg4)` |
    `static long` | `Grid__SWIG_2​(java.lang.String jarg1, long jarg2, Dataset jarg2_, long jarg3, GridOptions jarg3_)` |
    `static int` | `GridCreate__SWIG_0​(java.lang.String jarg1, double[][] jarg2, double jarg6, double jarg7, double jarg8, double jarg9, int jarg10, int jarg11, int jarg12, java.nio.ByteBuffer jarg13, ProgressCallback jarg15)` |
    `static int` | `GridCreate__SWIG_2​(java.lang.String jarg1, double[][] jarg2, double jarg6, double jarg7, double jarg8, double jarg9, int jarg10, int jarg11, int jarg12, java.nio.ByteBuffer jarg13)` |
    `static int` | `HasThreadSupport​()` |
    `static long` | `IdentifyDriver__SWIG_0​(java.lang.String jarg1, java.util.Vector jarg2)` |
    `static long` | `IdentifyDriver__SWIG_1​(java.lang.String jarg1)` |
    `static long` | `IdentifyDriverEx__SWIG_0​(java.lang.String jarg1, long jarg2, java.util.Vector jarg3, java.util.Vector jarg4)` |
    `static long` | `IdentifyDriverEx__SWIG_1​(java.lang.String jarg1, long jarg2, java.util.Vector jarg3)` |
    `static long` | `IdentifyDriverEx__SWIG_2​(java.lang.String jarg1, long jarg2)` |
    `static long` | `IdentifyDriverEx__SWIG_3​(java.lang.String jarg1)` |
    `static int` | `InvGeoTransform​(double[] jarg1, double[] jarg2)` |
    `static boolean` | `isAvailable​()` |
    `static java.lang.String` | `MajorObject_GetDescription​(long jarg1, MajorObject jarg1_)` |
    `static java.util.Hashtable` | `MajorObject_GetMetadata_Dict__SWIG_0​(long jarg1, MajorObject jarg1_, java.lang.String jarg2)` |
    `static java.util.Hashtable` | `MajorObject_GetMetadata_Dict__SWIG_1​(long jarg1, MajorObject jarg1_)` |
    `static java.util.Vector` | `MajorObject_GetMetadata_List__SWIG_0​(long jarg1, MajorObject jarg1_, java.lang.String jarg2)` |
    `static java.util.Vector` | `MajorObject_GetMetadata_List__SWIG_1​(long jarg1, MajorObject jarg1_)` |
    `static java.util.Vector` | `MajorObject_GetMetadataDomainList​(long jarg1, MajorObject jarg1_)` |
    `static java.lang.String` | `MajorObject_GetMetadataItem__SWIG_0​(long jarg1, MajorObject jarg1_, java.lang.String jarg2, java.lang.String jarg3)` |
    `static java.lang.String` | `MajorObject_GetMetadataItem__SWIG_1​(long jarg1, MajorObject jarg1_, java.lang.String jarg2)` |
    `static void` | `MajorObject_SetDescription​(long jarg1, MajorObject jarg1_, java.lang.String jarg2)` |
    `static int` | `MajorObject_SetMetadata__SWIG_0​(long jarg1, MajorObject jarg1_, java.util.Vector jarg2, java.lang.String jarg3)` |
    `static int` | `MajorObject_SetMetadata__SWIG_1​(long jarg1, MajorObject jarg1_, java.util.Vector jarg2)` |
    `static int` | `MajorObject_SetMetadata__SWIG_2​(long jarg1, MajorObject jarg1_, java.lang.String jarg2, java.lang.String jarg3)` |
    `static int` | `MajorObject_SetMetadata__SWIG_3​(long jarg1, MajorObject jarg1_, java.lang.String jarg2)` |
    `static int` | `MajorObject_SetMetadataItem__SWIG_0​(long jarg1, MajorObject jarg1_, java.lang.String jarg2, java.lang.String jarg3, java.lang.String jarg4)` |
    `static int` | `MajorObject_SetMetadataItem__SWIG_1​(long jarg1, MajorObject jarg1_, java.lang.String jarg2, java.lang.String jarg3)` |
    `static int` | `Mkdir​(java.lang.String jarg1, int jarg2)` |
    `static int` | `MkdirRecursive​(java.lang.String jarg1, int jarg2)` |
    `static int` | `Nearblack__SWIG_0​(long jarg1, Dataset jarg1_, long jarg2, Dataset jarg2_, long jarg3, NearblackOptions jarg3_, ProgressCallback jarg4)` |
    `static int` | `Nearblack__SWIG_2​(long jarg1, Dataset jarg1_, long jarg2, Dataset jarg2_, long jarg3, NearblackOptions jarg3_)` |
    `static long` | `Nearblack__SWIG_3​(java.lang.String jarg1, long jarg2, Dataset jarg2_, long jarg3, NearblackOptions jarg3_, ProgressCallback jarg4)` |
    `static long` | `Nearblack__SWIG_5​(java.lang.String jarg1, long jarg2, Dataset jarg2_, long jarg3, NearblackOptions jarg3_)` |
    `static long` | `new_BuildVRTOptions​(java.util.Vector jarg1)` |
    `static long` | `new_ColorTable__SWIG_0​(int jarg1)` |
    `static long` | `new_ColorTable__SWIG_1​()` |
    `static long` | `new_DEMProcessingOptions​(java.util.Vector jarg1)` |
    `static long` | `new_GCP​(double jarg1, double jarg2, double jarg3, double jarg4, double jarg5, java.lang.String jarg6, java.lang.String jarg7)` |
    `static long` | `new_GridOptions​(java.util.Vector jarg1)` |
    `static long` | `new_InfoOptions​(java.util.Vector jarg1)` |
    `static long` | `new_NearblackOptions​(java.util.Vector jarg1)` |
    `static long` | `new_ProgressCallback​()` |
    `static long` | `new_RasterAttributeTable​()` |
    `static long` | `new_RasterizeOptions​(java.util.Vector jarg1)` |
    `static long` | `new_TermProgressCallback​()` |
    `static long` | `new_Transformer​(long jarg1, Dataset jarg1_, long jarg2, Dataset jarg2_, java.util.Vector jarg3)` |
    `static long` | `new_TranslateOptions​(java.util.Vector jarg1)` |
    `static long` | `new_VectorTranslateOptions​(java.util.Vector jarg1)` |
    `static long` | `new_WarpOptions​(java.util.Vector jarg1)` |
    `static long` | `new_XMLNode__SWIG_0​(java.lang.String jarg1)` |
    `static long` | `new_XMLNode__SWIG_1​(int jarg1, java.lang.String jarg2)` |
    `static long` | `Open__SWIG_0​(java.lang.String jarg1, int jarg2)` |
    `static long` | `Open__SWIG_1​(java.lang.String jarg1)` |
    `static long` | `OpenEx__SWIG_0​(java.lang.String jarg1, long jarg2, java.util.Vector jarg3, java.util.Vector jarg4, java.util.Vector jarg5)` |
    `static long` | `OpenEx__SWIG_1​(java.lang.String jarg1, long jarg2, java.util.Vector jarg3, java.util.Vector jarg4)` |
    `static long` | `OpenEx__SWIG_2​(java.lang.String jarg1, long jarg2, java.util.Vector jarg3)` |
    `static long` | `OpenEx__SWIG_3​(java.lang.String jarg1, long jarg2)` |
    `static long` | `OpenEx__SWIG_4​(java.lang.String jarg1)` |
    `static long` | `OpenShared__SWIG_0​(java.lang.String jarg1, int jarg2)` |
    `static long` | `OpenShared__SWIG_1​(java.lang.String jarg1)` |
    `static double` | `PackedDMSToDec​(double jarg1)` |
    `static java.util.Vector` | `ParseCommandLine​(java.lang.String jarg1)` |
    `static long` | `ParseXMLString​(java.lang.String jarg1)` |
    `static int` | `Polygonize__SWIG_0​(long jarg1, Band jarg1_, long jarg2, Band jarg2_, long jarg3, Layer jarg3_, int jarg4, java.util.Vector jarg5, ProgressCallback jarg6)` |
    `static int` | `Polygonize__SWIG_2​(long jarg1, Band jarg1_, long jarg2, Band jarg2_, long jarg3, Layer jarg3_, int jarg4, java.util.Vector jarg5)` |
    `static int` | `Polygonize__SWIG_3​(long jarg1, Band jarg1_, long jarg2, Band jarg2_, long jarg3, Layer jarg3_, int jarg4)` |
    `static void` | `PopErrorHandler​()` |
    `static void` | `PopFinderLocation​()` |
    `static int` | `ProgressCallback_run​(long jarg1, ProgressCallback jarg1_, double jarg2, java.lang.String jarg3)` |
    `static int` | `PushErrorHandler__SWIG_0​(java.lang.String jarg1)` |
    `static int` | `PushErrorHandler__SWIG_1​()` |
    `static void` | `PushFinderLocation​(java.lang.String jarg1)` |
    `static int` | `RasterAttributeTable_ChangesAreWrittenToFile​(long jarg1, RasterAttributeTable jarg1_)` |
    `static long` | `RasterAttributeTable_Clone​(long jarg1, RasterAttributeTable jarg1_)` |
    `static int` | `RasterAttributeTable_CreateColumn​(long jarg1, RasterAttributeTable jarg1_, java.lang.String jarg2, int jarg3, int jarg4)` |
    `static void` | `RasterAttributeTable_DumpReadable​(long jarg1, RasterAttributeTable jarg1_)` |
    `static int` | `RasterAttributeTable_GetColOfUsage​(long jarg1, RasterAttributeTable jarg1_, int jarg2)` |
    `static int` | `RasterAttributeTable_GetColumnCount​(long jarg1, RasterAttributeTable jarg1_)` |
    `static boolean` | `RasterAttributeTable_GetLinearBinning​(long jarg1, RasterAttributeTable jarg1_, double[] jarg2, double[] jarg3)` |
    `static java.lang.String` | `RasterAttributeTable_GetNameOfCol​(long jarg1, RasterAttributeTable jarg1_, int jarg2)` |
    `static int` | `RasterAttributeTable_GetRowCount​(long jarg1, RasterAttributeTable jarg1_)` |
    `static int` | `RasterAttributeTable_GetRowOfValue​(long jarg1, RasterAttributeTable jarg1_, double jarg2)` |
    `static int` | `RasterAttributeTable_GetTypeOfCol​(long jarg1, RasterAttributeTable jarg1_, int jarg2)` |
    `static int` | `RasterAttributeTable_GetUsageOfCol​(long jarg1, RasterAttributeTable jarg1_, int jarg2)` |
    `static double` | `RasterAttributeTable_GetValueAsDouble​(long jarg1, RasterAttributeTable jarg1_, int jarg2, int jarg3)` |
    `static int` | `RasterAttributeTable_GetValueAsInt​(long jarg1, RasterAttributeTable jarg1_, int jarg2, int jarg3)` |
    `static java.lang.String` | `RasterAttributeTable_GetValueAsString​(long jarg1, RasterAttributeTable jarg1_, int jarg2, int jarg3)` |
    `static int` | `RasterAttributeTable_SetLinearBinning​(long jarg1, RasterAttributeTable jarg1_, double jarg2, double jarg3)` |
    `static void` | `RasterAttributeTable_SetRowCount​(long jarg1, RasterAttributeTable jarg1_, int jarg2)` |
    `static void` | `RasterAttributeTable_SetValueAsDouble​(long jarg1, RasterAttributeTable jarg1_, int jarg2, int jarg3, double jarg4)` |
    `static void` | `RasterAttributeTable_SetValueAsInt​(long jarg1, RasterAttributeTable jarg1_, int jarg2, int jarg3, int jarg4)` |
    `static void` | `RasterAttributeTable_SetValueAsString​(long jarg1, RasterAttributeTable jarg1_, int jarg2, int jarg3, java.lang.String jarg4)` |
    `static int` | `Rasterize__SWIG_0​(long jarg1, Dataset jarg1_, long jarg2, Dataset jarg2_, long jarg3, RasterizeOptions jarg3_, ProgressCallback jarg4)` |
    `static int` | `Rasterize__SWIG_2​(long jarg1, Dataset jarg1_, long jarg2, Dataset jarg2_, long jarg3, RasterizeOptions jarg3_)` |
    `static long` | `Rasterize__SWIG_3​(java.lang.String jarg1, long jarg2, Dataset jarg2_, long jarg3, RasterizeOptions jarg3_, ProgressCallback jarg4)` |
    `static long` | `Rasterize__SWIG_5​(java.lang.String jarg1, long jarg2, Dataset jarg2_, long jarg3, RasterizeOptions jarg3_)` |
    `static int` | `RasterizeLayer__SWIG_0​(long jarg1, Dataset jarg1_, int[] jarg2, long jarg4, Layer jarg4_, double[] jarg5, java.util.Vector jarg7, ProgressCallback jarg8)` |
    `static int` | `RasterizeLayer__SWIG_2​(long jarg1, Dataset jarg1_, int[] jarg2, long jarg4, Layer jarg4_, double[] jarg5, java.util.Vector jarg7)` |
    `static int` | `RasterizeLayer__SWIG_3​(long jarg1, Dataset jarg1_, int[] jarg2, long jarg4, Layer jarg4_, double[] jarg5)` |
    `static int` | `RasterizeLayer__SWIG_5​(long jarg1, Dataset jarg1_, int[] jarg2, long jarg4, Layer jarg4_)` |
    `static java.util.Vector` | `ReadDir__SWIG_0​(java.lang.String jarg1, int jarg2)` |
    `static java.util.Vector` | `ReadDir__SWIG_1​(java.lang.String jarg1)` |
    `static java.util.Vector` | `ReadDirRecursive​(java.lang.String jarg1)` |
    `static int` | `RegenerateOverview__SWIG_0​(long jarg1, Band jarg1_, long jarg2, Band jarg2_, java.lang.String jarg3, ProgressCallback jarg4)` |
    `static int` | `RegenerateOverview__SWIG_2​(long jarg1, Band jarg1_, long jarg2, Band jarg2_, java.lang.String jarg3)` |
    `static int` | `RegenerateOverview__SWIG_3​(long jarg1, Band jarg1_, long jarg2, Band jarg2_)` |
    `static int` | `RegenerateOverviews__SWIG_0​(long jarg1, Band jarg1_, Band[] jarg2, java.lang.String jarg4, ProgressCallback jarg5)` |
    `static int` | `RegenerateOverviews__SWIG_2​(long jarg1, Band jarg1_, Band[] jarg2, java.lang.String jarg4)` |
    `static int` | `RegenerateOverviews__SWIG_3​(long jarg1, Band jarg1_, Band[] jarg2)` |
    `static int` | `Rename​(java.lang.String jarg1, java.lang.String jarg2)` |
    `static int` | `ReprojectImage__SWIG_0​(long jarg1, Dataset jarg1_, long jarg2, Dataset jarg2_, java.lang.String jarg3, java.lang.String jarg4, int jarg5, double jarg6, double jarg7, ProgressCallback jarg8, java.util.Vector jarg10)` |
    `static int` | `ReprojectImage__SWIG_1​(long jarg1, Dataset jarg1_, long jarg2, Dataset jarg2_, java.lang.String jarg3, java.lang.String jarg4, int jarg5, double jarg6, double jarg7, ProgressCallback jarg8)` |
    `static int` | `ReprojectImage__SWIG_3​(long jarg1, Dataset jarg1_, long jarg2, Dataset jarg2_, java.lang.String jarg3, java.lang.String jarg4, int jarg5, double jarg6, double jarg7)` |
    `static int` | `ReprojectImage__SWIG_4​(long jarg1, Dataset jarg1_, long jarg2, Dataset jarg2_, java.lang.String jarg3, java.lang.String jarg4, int jarg5, double jarg6)` |
    `static int` | `ReprojectImage__SWIG_5​(long jarg1, Dataset jarg1_, long jarg2, Dataset jarg2_, java.lang.String jarg3, java.lang.String jarg4, int jarg5)` |
    `static int` | `ReprojectImage__SWIG_6​(long jarg1, Dataset jarg1_, long jarg2, Dataset jarg2_, java.lang.String jarg3, java.lang.String jarg4)` |
    `static int` | `ReprojectImage__SWIG_7​(long jarg1, Dataset jarg1_, long jarg2, Dataset jarg2_, java.lang.String jarg3)` |
    `static int` | `ReprojectImage__SWIG_8​(long jarg1, Dataset jarg1_, long jarg2, Dataset jarg2_)` |
    `static int` | `Rmdir​(java.lang.String jarg1)` |
    `static int` | `RmdirRecursive​(java.lang.String jarg1)` |
    `static java.lang.String` | `SerializeXMLTree​(long jarg1, XMLNode jarg1_)` |
    `static void` | `SetCacheMax​(int jarg1)` |
    `static void` | `SetConfigOption​(java.lang.String jarg1, java.lang.String jarg2)` |
    `static int` | `SetErrorHandler__SWIG_0​(java.lang.String jarg1)` |
    `static int` | `SetErrorHandler__SWIG_1​()` |
    `static int` | `SieveFilter__SWIG_0​(long jarg1, Band jarg1_, long jarg2, Band jarg2_, long jarg3, Band jarg3_, int jarg4, int jarg5, java.util.Vector jarg6, ProgressCallback jarg7)` |
    `static int` | `SieveFilter__SWIG_2​(long jarg1, Band jarg1_, long jarg2, Band jarg2_, long jarg3, Band jarg3_, int jarg4, int jarg5, java.util.Vector jarg6)` |
    `static int` | `SieveFilter__SWIG_3​(long jarg1, Band jarg1_, long jarg2, Band jarg2_, long jarg3, Band jarg3_, int jarg4, int jarg5)` |
    `static int` | `SieveFilter__SWIG_4​(long jarg1, Band jarg1_, long jarg2, Band jarg2_, long jarg3, Band jarg3_, int jarg4)` |
    `static int` | `TermProgressCallback_run​(long jarg1, TermProgressCallback jarg1_, double jarg2, java.lang.String jarg3)` |
    `static long` | `TermProgressCallback_SWIGUpcast​(long jarg1)` |
    `static int` | `Transformer_TransformGeolocations__SWIG_0​(long jarg1, Transformer jarg1_, long jarg2, Band jarg2_, long jarg3, Band jarg3_, long jarg4, Band jarg4_, ProgressCallback jarg5, java.util.Vector jarg7)` |
    `static int` | `Transformer_TransformGeolocations__SWIG_1​(long jarg1, Transformer jarg1_, long jarg2, Band jarg2_, long jarg3, Band jarg3_, long jarg4, Band jarg4_, ProgressCallback jarg5)` |
    `static int` | `Transformer_TransformGeolocations__SWIG_3​(long jarg1, Transformer jarg1_, long jarg2, Band jarg2_, long jarg3, Band jarg3_, long jarg4, Band jarg4_)` |
    `static int` | `Transformer_TransformPoint__SWIG_0​(long jarg1, Transformer jarg1_, int jarg2, double[] jarg3)` |
    `static int` | `Transformer_TransformPoint__SWIG_1​(long jarg1, Transformer jarg1_, double[] jarg2, int jarg3, double jarg4, double jarg5, double jarg6)` |
    `static int` | `Transformer_TransformPoint__SWIG_2​(long jarg1, Transformer jarg1_, double[] jarg2, int jarg3, double jarg4, double jarg5)` |
    `static int` | `Transformer_TransformPoints​(long jarg1, Transformer jarg1_, int jarg2, double[][] jarg3, int[] jarg7)` |
    `static long` | `Translate__SWIG_0​(java.lang.String jarg1, long jarg2, Dataset jarg2_, long jarg3, TranslateOptions jarg3_, ProgressCallback jarg4)` |
    `static long` | `Translate__SWIG_2​(java.lang.String jarg1, long jarg2, Dataset jarg2_, long jarg3, TranslateOptions jarg3_)` |
    `static int` | `Unlink​(java.lang.String jarg1)` |
    `static void` | `UseExceptions​()` |
    `static int` | `VectorTranslate__SWIG_0​(long jarg1, Dataset jarg1_, long jarg2, Dataset jarg2_, long jarg3, VectorTranslateOptions jarg3_, ProgressCallback jarg4)` |
    `static int` | `VectorTranslate__SWIG_2​(long jarg1, Dataset jarg1_, long jarg2, Dataset jarg2_, long jarg3, VectorTranslateOptions jarg3_)` |
    `static long` | `VectorTranslate__SWIG_3​(java.lang.String jarg1, long jarg2, Dataset jarg2_, long jarg3, VectorTranslateOptions jarg3_, ProgressCallback jarg4)` |
    `static long` | `VectorTranslate__SWIG_5​(java.lang.String jarg1, long jarg2, Dataset jarg2_, long jarg3, VectorTranslateOptions jarg3_)` |
    `static java.lang.String` | `VersionInfo__SWIG_0​(java.lang.String jarg1)` |
    `static java.lang.String` | `VersionInfo__SWIG_1​()` |
    `static java.lang.String` | `VSIGetLastErrorMsg​()` |
    `static int` | `VSIGetLastErrorNo​()` |
    `static int` | `Warp__SWIG_0​(long jarg1, Dataset jarg1_, Dataset[] jarg2, long jarg4, WarpOptions jarg4_, ProgressCallback jarg5)` |
    `static int` | `Warp__SWIG_2​(long jarg1, Dataset jarg1_, Dataset[] jarg2, long jarg4, WarpOptions jarg4_)` |
    `static long` | `Warp__SWIG_3​(java.lang.String jarg1, Dataset[] jarg2, long jarg4, WarpOptions jarg4_, ProgressCallback jarg5)` |
    `static long` | `Warp__SWIG_5​(java.lang.String jarg1, Dataset[] jarg2, long jarg4, WarpOptions jarg4_)` |
    `static void` | `XMLNode_AddXMLChild​(long jarg1, XMLNode jarg1_, long jarg2, XMLNode jarg2_)` |
    `static void` | `XMLNode_AddXMLSibling​(long jarg1, XMLNode jarg1_, long jarg2, XMLNode jarg2_)` |
    `static long` | `XMLNode_Child_get​(long jarg1, XMLNode jarg1_)` |
    `static long` | `XMLNode_Clone​(long jarg1, XMLNode jarg1_)` |
    `static long` | `XMLNode_GetXMLNode​(long jarg1, XMLNode jarg1_, java.lang.String jarg2)` |
    `static java.lang.String` | `XMLNode_GetXMLValue​(long jarg1, XMLNode jarg1_, java.lang.String jarg2, java.lang.String jarg3)` |
    `static long` | `XMLNode_Next_get​(long jarg1, XMLNode jarg1_)` |
    `static long` | `XMLNode_ParseXMLFile​(java.lang.String jarg1)` |
    `static long` | `XMLNode_SearchXMLNode​(long jarg1, XMLNode jarg1_, java.lang.String jarg2)` |
    `static java.lang.String` | `XMLNode_SerializeXMLTree​(long jarg1, XMLNode jarg1_)` |
    `static int` | `XMLNode_SetXMLValue​(long jarg1, XMLNode jarg1_, java.lang.String jarg2, java.lang.String jarg3)` |
    `static void` | `XMLNode_StripXMLNamespace​(long jarg1, XMLNode jarg1_, java.lang.String jarg2, int jarg3)` |
    `static java.lang.String` | `XMLNode_toString​(long jarg1, XMLNode jarg1_)` |
    `static int` | `XMLNode_Type_get​(long jarg1, XMLNode jarg1_)` |
    `static java.lang.String` | `XMLNode_Value_get​(long jarg1, XMLNode jarg1_)` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### gdalJNI

          public gdalJNI​()

  - ### Method Detail

    - #### UseExceptions

          public static final void UseExceptions​()

    - #### DontUseExceptions

          public static final void DontUseExceptions​()

    - #### isAvailable

          public static boolean isAvailable​()

    - #### delete_ProgressCallback

          public static final void delete_ProgressCallback​(long jarg1)

    - #### ProgressCallback_run

          public static final int ProgressCallback_run​(long jarg1,
                                                       ProgressCallback jarg1_,
                                                       double jarg2,
                                                       java.lang.String jarg3)

    - #### new_ProgressCallback

          public static final long new_ProgressCallback​()

    - #### new_TermProgressCallback

          public static final long new_TermProgressCallback​()

    - #### TermProgressCallback_run

          public static final int TermProgressCallback_run​(long jarg1,
                                                           TermProgressCallback jarg1_,
                                                           double jarg2,
                                                           java.lang.String jarg3)

    - #### delete_TermProgressCallback

          public static final void delete_TermProgressCallback​(long jarg1)

    - #### Debug

          public static final void Debug​(java.lang.String jarg1,
                                         java.lang.String jarg2)

    - #### SetErrorHandler__SWIG_0

          public static final int SetErrorHandler__SWIG_0​(java.lang.String jarg1)

    - #### SetErrorHandler__SWIG_1

          public static final int SetErrorHandler__SWIG_1​()

    - #### PushErrorHandler__SWIG_0

          public static final int PushErrorHandler__SWIG_0​(java.lang.String jarg1)

    - #### PushErrorHandler__SWIG_1

          public static final int PushErrorHandler__SWIG_1​()

    - #### Error

          public static final void Error​(int jarg1,
                                         int jarg2,
                                         java.lang.String jarg3)

    - #### GOA2GetAuthorizationURL

          public static final java.lang.String GOA2GetAuthorizationURL​(java.lang.String jarg1)

    - #### GOA2GetRefreshToken

          public static final java.lang.String GOA2GetRefreshToken​(java.lang.String jarg1,
                                                                   java.lang.String jarg2)

    - #### GOA2GetAccessToken

          public static final java.lang.String GOA2GetAccessToken​(java.lang.String jarg1,
                                                                  java.lang.String jarg2)

    - #### PopErrorHandler

          public static final void PopErrorHandler​()

    - #### ErrorReset

          public static final void ErrorReset​()

    - #### EscapeString__SWIG_0

          public static final java.lang.String EscapeString__SWIG_0​(byte[] jarg1,
                                                                    int jarg3)

    - #### EscapeString__SWIG_1

          public static final java.lang.String EscapeString__SWIG_1​(java.lang.String jarg1,
                                                                    int jarg2)

    - #### GetLastErrorNo

          public static final int GetLastErrorNo​()

    - #### GetLastErrorType

          public static final int GetLastErrorType​()

    - #### GetLastErrorMsg

          public static final java.lang.String GetLastErrorMsg​()

    - #### GetErrorCounter

          public static final long GetErrorCounter​()

    - #### VSIGetLastErrorNo

          public static final int VSIGetLastErrorNo​()

    - #### VSIGetLastErrorMsg

          public static final java.lang.String VSIGetLastErrorMsg​()

    - #### PushFinderLocation

          public static final void PushFinderLocation​(java.lang.String jarg1)

    - #### PopFinderLocation

          public static final void PopFinderLocation​()

    - #### FinderClean

          public static final void FinderClean​()

    - #### FindFile

          public static final java.lang.String FindFile​(java.lang.String jarg1,
                                                        java.lang.String jarg2)

    - #### ReadDir__SWIG_0

          public static final java.util.Vector ReadDir__SWIG_0​(java.lang.String jarg1,
                                                               int jarg2)

    - #### ReadDir__SWIG_1

          public static final java.util.Vector ReadDir__SWIG_1​(java.lang.String jarg1)

    - #### ReadDirRecursive

          public static final java.util.Vector ReadDirRecursive​(java.lang.String jarg1)

    - #### SetConfigOption

          public static final void SetConfigOption​(java.lang.String jarg1,
                                                   java.lang.String jarg2)

    - #### GetConfigOption__SWIG_0

          public static final java.lang.String GetConfigOption__SWIG_0​(java.lang.String jarg1,
                                                                       java.lang.String jarg2)

    - #### GetConfigOption__SWIG_1

          public static final java.lang.String GetConfigOption__SWIG_1​(java.lang.String jarg1)

    - #### CPLBinaryToHex

          public static final java.lang.String CPLBinaryToHex​(byte[] jarg1)

    - #### CPLHexToBinary

          public static final byte[] CPLHexToBinary​(java.lang.String jarg1)

    - #### FileFromMemBuffer

          public static final void FileFromMemBuffer​(java.lang.String jarg1,
                                                     byte[] jarg2)

    - #### Unlink

          public static final int Unlink​(java.lang.String jarg1)

    - #### HasThreadSupport

          public static final int HasThreadSupport​()

    - #### Mkdir

          public static final int Mkdir​(java.lang.String jarg1,
                                        int jarg2)

    - #### Rmdir

          public static final int Rmdir​(java.lang.String jarg1)

    - #### MkdirRecursive

          public static final int MkdirRecursive​(java.lang.String jarg1,
                                                 int jarg2)

    - #### RmdirRecursive

          public static final int RmdirRecursive​(java.lang.String jarg1)

    - #### Rename

          public static final int Rename​(java.lang.String jarg1,
                                         java.lang.String jarg2)

    - #### GetActualURL

          public static final java.lang.String GetActualURL​(java.lang.String jarg1)

    - #### GetSignedURL__SWIG_0

          public static final java.lang.String GetSignedURL__SWIG_0​(java.lang.String jarg1,
                                                                    java.util.Vector jarg2)

    - #### GetSignedURL__SWIG_1

          public static final java.lang.String GetSignedURL__SWIG_1​(java.lang.String jarg1)

    - #### GetFileSystemsPrefixes

          public static final java.util.Vector GetFileSystemsPrefixes​()

    - #### GetFileSystemOptions

          public static final java.lang.String GetFileSystemOptions​(java.lang.String jarg1)

    - #### ParseCommandLine

          public static final java.util.Vector ParseCommandLine​(java.lang.String jarg1)

    - #### CXT_Element_get

          public static final int CXT_Element_get​()

    - #### CXT_Text_get

          public static final int CXT_Text_get​()

    - #### CXT_Attribute_get

          public static final int CXT_Attribute_get​()

    - #### CXT_Comment_get

          public static final int CXT_Comment_get​()

    - #### CXT_Literal_get

          public static final int CXT_Literal_get​()

    - #### XMLNode_Type_get

          public static final int XMLNode_Type_get​(long jarg1,
                                                   XMLNode jarg1_)

    - #### XMLNode_Value_get

          public static final java.lang.String XMLNode_Value_get​(long jarg1,
                                                                 XMLNode jarg1_)

    - #### XMLNode_Next_get

          public static final long XMLNode_Next_get​(long jarg1,
                                                    XMLNode jarg1_)

    - #### XMLNode_Child_get

          public static final long XMLNode_Child_get​(long jarg1,
                                                     XMLNode jarg1_)

    - #### new_XMLNode__SWIG_0

          public static final long new_XMLNode__SWIG_0​(java.lang.String jarg1)

    - #### new_XMLNode__SWIG_1

          public static final long new_XMLNode__SWIG_1​(int jarg1,
                                                       java.lang.String jarg2)

    - #### delete_XMLNode

          public static final void delete_XMLNode​(long jarg1)

    - #### XMLNode_ParseXMLFile

          public static final long XMLNode_ParseXMLFile​(java.lang.String jarg1)

    - #### XMLNode_SerializeXMLTree

          public static final java.lang.String XMLNode_SerializeXMLTree​(long jarg1,
                                                                        XMLNode jarg1_)

    - #### XMLNode_toString

          public static final java.lang.String XMLNode_toString​(long jarg1,
                                                                XMLNode jarg1_)

    - #### XMLNode_SearchXMLNode

          public static final long XMLNode_SearchXMLNode​(long jarg1,
                                                         XMLNode jarg1_,
                                                         java.lang.String jarg2)

    - #### XMLNode_GetXMLNode

          public static final long XMLNode_GetXMLNode​(long jarg1,
                                                      XMLNode jarg1_,
                                                      java.lang.String jarg2)

    - #### XMLNode_GetXMLValue

          public static final java.lang.String XMLNode_GetXMLValue​(long jarg1,
                                                                   XMLNode jarg1_,
                                                                   java.lang.String jarg2,
                                                                   java.lang.String jarg3)

    - #### XMLNode_AddXMLChild

          public static final void XMLNode_AddXMLChild​(long jarg1,
                                                       XMLNode jarg1_,
                                                       long jarg2,
                                                       XMLNode jarg2_)

    - #### XMLNode_AddXMLSibling

          public static final void XMLNode_AddXMLSibling​(long jarg1,
                                                         XMLNode jarg1_,
                                                         long jarg2,
                                                         XMLNode jarg2_)

    - #### XMLNode_Clone

          public static final long XMLNode_Clone​(long jarg1,
                                                 XMLNode jarg1_)

    - #### XMLNode_SetXMLValue

          public static final int XMLNode_SetXMLValue​(long jarg1,
                                                      XMLNode jarg1_,
                                                      java.lang.String jarg2,
                                                      java.lang.String jarg3)

    - #### XMLNode_StripXMLNamespace

          public static final void XMLNode_StripXMLNamespace​(long jarg1,
                                                             XMLNode jarg1_,
                                                             java.lang.String jarg2,
                                                             int jarg3)

    - #### MajorObject_GetDescription

          public static final java.lang.String MajorObject_GetDescription​(long jarg1,
                                                                          MajorObject jarg1_)

    - #### MajorObject_SetDescription

          public static final void MajorObject_SetDescription​(long jarg1,
                                                              MajorObject jarg1_,
                                                              java.lang.String jarg2)

    - #### MajorObject_GetMetadataDomainList

          public static final java.util.Vector MajorObject_GetMetadataDomainList​(long jarg1,
                                                                                 MajorObject jarg1_)

    - #### MajorObject_GetMetadata_Dict__SWIG_0

          public static final java.util.Hashtable MajorObject_GetMetadata_Dict__SWIG_0​(long jarg1,
                                                                                       MajorObject jarg1_,
                                                                                       java.lang.String jarg2)

    - #### MajorObject_GetMetadata_Dict__SWIG_1

          public static final java.util.Hashtable MajorObject_GetMetadata_Dict__SWIG_1​(long jarg1,
                                                                                       MajorObject jarg1_)

    - #### MajorObject_GetMetadata_List__SWIG_0

          public static final java.util.Vector MajorObject_GetMetadata_List__SWIG_0​(long jarg1,
                                                                                    MajorObject jarg1_,
                                                                                    java.lang.String jarg2)

    - #### MajorObject_GetMetadata_List__SWIG_1

          public static final java.util.Vector MajorObject_GetMetadata_List__SWIG_1​(long jarg1,
                                                                                    MajorObject jarg1_)

    - #### MajorObject_SetMetadata__SWIG_0

          public static final int MajorObject_SetMetadata__SWIG_0​(long jarg1,
                                                                  MajorObject jarg1_,
                                                                  java.util.Vector jarg2,
                                                                  java.lang.String jarg3)

    - #### MajorObject_SetMetadata__SWIG_1

          public static final int MajorObject_SetMetadata__SWIG_1​(long jarg1,
                                                                  MajorObject jarg1_,
                                                                  java.util.Vector jarg2)

    - #### MajorObject_SetMetadata__SWIG_2

          public static final int MajorObject_SetMetadata__SWIG_2​(long jarg1,
                                                                  MajorObject jarg1_,
                                                                  java.lang.String jarg2,
                                                                  java.lang.String jarg3)

    - #### MajorObject_SetMetadata__SWIG_3

          public static final int MajorObject_SetMetadata__SWIG_3​(long jarg1,
                                                                  MajorObject jarg1_,
                                                                  java.lang.String jarg2)

    - #### MajorObject_GetMetadataItem__SWIG_0

          public static final java.lang.String MajorObject_GetMetadataItem__SWIG_0​(long jarg1,
                                                                                   MajorObject jarg1_,
                                                                                   java.lang.String jarg2,
                                                                                   java.lang.String jarg3)

    - #### MajorObject_GetMetadataItem__SWIG_1

          public static final java.lang.String MajorObject_GetMetadataItem__SWIG_1​(long jarg1,
                                                                                   MajorObject jarg1_,
                                                                                   java.lang.String jarg2)

    - #### MajorObject_SetMetadataItem__SWIG_0

          public static final int MajorObject_SetMetadataItem__SWIG_0​(long jarg1,
                                                                      MajorObject jarg1_,
                                                                      java.lang.String jarg2,
                                                                      java.lang.String jarg3,
                                                                      java.lang.String jarg4)

    - #### MajorObject_SetMetadataItem__SWIG_1

          public static final int MajorObject_SetMetadataItem__SWIG_1​(long jarg1,
                                                                      MajorObject jarg1_,
                                                                      java.lang.String jarg2,
                                                                      java.lang.String jarg3)

    - #### Driver_ShortName_get

          public static final java.lang.String Driver_ShortName_get​(long jarg1,
                                                                    Driver jarg1_)

    - #### Driver_LongName_get

          public static final java.lang.String Driver_LongName_get​(long jarg1,
                                                                   Driver jarg1_)

    - #### Driver_HelpTopic_get

          public static final java.lang.String Driver_HelpTopic_get​(long jarg1,
                                                                    Driver jarg1_)

    - #### Driver_Create__SWIG_0

          public static final long Driver_Create__SWIG_0​(long jarg1,
                                                         Driver jarg1_,
                                                         java.lang.String jarg2,
                                                         int jarg3,
                                                         int jarg4,
                                                         int jarg5,
                                                         int jarg6,
                                                         java.util.Vector jarg7)

    - #### Driver_Create__SWIG_1

          public static final long Driver_Create__SWIG_1​(long jarg1,
                                                         Driver jarg1_,
                                                         java.lang.String jarg2,
                                                         int jarg3,
                                                         int jarg4,
                                                         int jarg5,
                                                         int jarg6)

    - #### Driver_Create__SWIG_2

          public static final long Driver_Create__SWIG_2​(long jarg1,
                                                         Driver jarg1_,
                                                         java.lang.String jarg2,
                                                         int jarg3,
                                                         int jarg4,
                                                         int jarg5)

    - #### Driver_Create__SWIG_3

          public static final long Driver_Create__SWIG_3​(long jarg1,
                                                         Driver jarg1_,
                                                         java.lang.String jarg2,
                                                         int jarg3,
                                                         int jarg4)

    - #### Driver_CreateCopy__SWIG_0

          public static final long Driver_CreateCopy__SWIG_0​(long jarg1,
                                                             Driver jarg1_,
                                                             java.lang.String jarg2,
                                                             long jarg3,
                                                             Dataset jarg3_,
                                                             int jarg4,
                                                             java.util.Vector jarg5,
                                                             ProgressCallback jarg6)

    - #### Driver_CreateCopy__SWIG_2

          public static final long Driver_CreateCopy__SWIG_2​(long jarg1,
                                                             Driver jarg1_,
                                                             java.lang.String jarg2,
                                                             long jarg3,
                                                             Dataset jarg3_,
                                                             int jarg4,
                                                             java.util.Vector jarg5)

    - #### Driver_CreateCopy__SWIG_3

          public static final long Driver_CreateCopy__SWIG_3​(long jarg1,
                                                             Driver jarg1_,
                                                             java.lang.String jarg2,
                                                             long jarg3,
                                                             Dataset jarg3_,
                                                             int jarg4)

    - #### Driver_CreateCopy__SWIG_4

          public static final long Driver_CreateCopy__SWIG_4​(long jarg1,
                                                             Driver jarg1_,
                                                             java.lang.String jarg2,
                                                             long jarg3,
                                                             Dataset jarg3_)

    - #### Driver_Delete

          public static final int Driver_Delete​(long jarg1,
                                                Driver jarg1_,
                                                java.lang.String jarg2)

    - #### Driver_Rename

          public static final int Driver_Rename​(long jarg1,
                                                Driver jarg1_,
                                                java.lang.String jarg2,
                                                java.lang.String jarg3)

    - #### Driver_CopyFiles

          public static final int Driver_CopyFiles​(long jarg1,
                                                   Driver jarg1_,
                                                   java.lang.String jarg2,
                                                   java.lang.String jarg3)

    - #### Driver_Register

          public static final int Driver_Register​(long jarg1,
                                                  Driver jarg1_)

    - #### Driver_Deregister

          public static final void Driver_Deregister​(long jarg1,
                                                     Driver jarg1_)

    - #### GCP_GCPX_set

          public static final void GCP_GCPX_set​(long jarg1,
                                                GCP jarg1_,
                                                double jarg2)

    - #### GCP_GCPX_get

          public static final double GCP_GCPX_get​(long jarg1,
                                                  GCP jarg1_)

    - #### GCP_GCPY_set

          public static final void GCP_GCPY_set​(long jarg1,
                                                GCP jarg1_,
                                                double jarg2)

    - #### GCP_GCPY_get

          public static final double GCP_GCPY_get​(long jarg1,
                                                  GCP jarg1_)

    - #### GCP_GCPZ_set

          public static final void GCP_GCPZ_set​(long jarg1,
                                                GCP jarg1_,
                                                double jarg2)

    - #### GCP_GCPZ_get

          public static final double GCP_GCPZ_get​(long jarg1,
                                                  GCP jarg1_)

    - #### GCP_GCPPixel_set

          public static final void GCP_GCPPixel_set​(long jarg1,
                                                    GCP jarg1_,
                                                    double jarg2)

    - #### GCP_GCPPixel_get

          public static final double GCP_GCPPixel_get​(long jarg1,
                                                      GCP jarg1_)

    - #### GCP_GCPLine_set

          public static final void GCP_GCPLine_set​(long jarg1,
                                                   GCP jarg1_,
                                                   double jarg2)

    - #### GCP_GCPLine_get

          public static final double GCP_GCPLine_get​(long jarg1,
                                                     GCP jarg1_)

    - #### GCP_Info_set

          public static final void GCP_Info_set​(long jarg1,
                                                GCP jarg1_,
                                                java.lang.String jarg2)

    - #### GCP_Info_get

          public static final java.lang.String GCP_Info_get​(long jarg1,
                                                            GCP jarg1_)

    - #### GCP_Id_set

          public static final void GCP_Id_set​(long jarg1,
                                              GCP jarg1_,
                                              java.lang.String jarg2)

    - #### GCP_Id_get

          public static final java.lang.String GCP_Id_get​(long jarg1,
                                                          GCP jarg1_)

    - #### new_GCP

          public static final long new_GCP​(double jarg1,
                                           double jarg2,
                                           double jarg3,
                                           double jarg4,
                                           double jarg5,
                                           java.lang.String jarg6,
                                           java.lang.String jarg7)

    - #### delete_GCP

          public static final void delete_GCP​(long jarg1)

    - #### GDAL_GCP_GCPX_get

          public static final double GDAL_GCP_GCPX_get​(long jarg1,
                                                       GCP jarg1_)

    - #### GDAL_GCP_GCPX_set

          public static final void GDAL_GCP_GCPX_set​(long jarg1,
                                                     GCP jarg1_,
                                                     double jarg2)

    - #### GDAL_GCP_GCPY_get

          public static final double GDAL_GCP_GCPY_get​(long jarg1,
                                                       GCP jarg1_)

    - #### GDAL_GCP_GCPY_set

          public static final void GDAL_GCP_GCPY_set​(long jarg1,
                                                     GCP jarg1_,
                                                     double jarg2)

    - #### GDAL_GCP_GCPZ_get

          public static final double GDAL_GCP_GCPZ_get​(long jarg1,
                                                       GCP jarg1_)

    - #### GDAL_GCP_GCPZ_set

          public static final void GDAL_GCP_GCPZ_set​(long jarg1,
                                                     GCP jarg1_,
                                                     double jarg2)

    - #### GDAL_GCP_GCPPixel_get

          public static final double GDAL_GCP_GCPPixel_get​(long jarg1,
                                                           GCP jarg1_)

    - #### GDAL_GCP_GCPPixel_set

          public static final void GDAL_GCP_GCPPixel_set​(long jarg1,
                                                         GCP jarg1_,
                                                         double jarg2)

    - #### GDAL_GCP_GCPLine_get

          public static final double GDAL_GCP_GCPLine_get​(long jarg1,
                                                          GCP jarg1_)

    - #### GDAL_GCP_GCPLine_set

          public static final void GDAL_GCP_GCPLine_set​(long jarg1,
                                                        GCP jarg1_,
                                                        double jarg2)

    - #### GDAL_GCP_Info_get

          public static final java.lang.String GDAL_GCP_Info_get​(long jarg1,
                                                                 GCP jarg1_)

    - #### GDAL_GCP_Info_set

          public static final void GDAL_GCP_Info_set​(long jarg1,
                                                     GCP jarg1_,
                                                     java.lang.String jarg2)

    - #### GDAL_GCP_Id_get

          public static final java.lang.String GDAL_GCP_Id_get​(long jarg1,
                                                               GCP jarg1_)

    - #### GDAL_GCP_Id_set

          public static final void GDAL_GCP_Id_set​(long jarg1,
                                                   GCP jarg1_,
                                                   java.lang.String jarg2)

    - #### GCPsToGeoTransform__SWIG_0

          public static final int GCPsToGeoTransform__SWIG_0​(GCP[] jarg1,
                                                             double[] jarg3,
                                                             int jarg4)

    - #### GCPsToGeoTransform__SWIG_1

          public static final int GCPsToGeoTransform__SWIG_1​(GCP[] jarg1,
                                                             double[] jarg3)

    - #### Dataset_RasterXSize_get

          public static final int Dataset_RasterXSize_get​(long jarg1,
                                                          Dataset jarg1_)

    - #### Dataset_RasterYSize_get

          public static final int Dataset_RasterYSize_get​(long jarg1,
                                                          Dataset jarg1_)

    - #### Dataset_RasterCount_get

          public static final int Dataset_RasterCount_get​(long jarg1,
                                                          Dataset jarg1_)

    - #### delete_Dataset

          public static final void delete_Dataset​(long jarg1)

    - #### Dataset_GetDriver

          public static final long Dataset_GetDriver​(long jarg1,
                                                     Dataset jarg1_)

    - #### Dataset_GetRasterBand

          public static final long Dataset_GetRasterBand​(long jarg1,
                                                         Dataset jarg1_,
                                                         int jarg2)

    - #### Dataset_GetProjection

          public static final java.lang.String Dataset_GetProjection​(long jarg1,
                                                                     Dataset jarg1_)

    - #### Dataset_GetProjectionRef

          public static final java.lang.String Dataset_GetProjectionRef​(long jarg1,
                                                                        Dataset jarg1_)

    - #### Dataset_SetProjection

          public static final int Dataset_SetProjection​(long jarg1,
                                                        Dataset jarg1_,
                                                        java.lang.String jarg2)

    - #### Dataset_GetGeoTransform

          public static final void Dataset_GetGeoTransform​(long jarg1,
                                                           Dataset jarg1_,
                                                           double[] jarg2)

    - #### Dataset_SetGeoTransform

          public static final int Dataset_SetGeoTransform​(long jarg1,
                                                          Dataset jarg1_,
                                                          double[] jarg2)

    - #### Dataset_BuildOverviews__SWIG_0

          public static final int Dataset_BuildOverviews__SWIG_0​(long jarg1,
                                                                 Dataset jarg1_,
                                                                 java.lang.String jarg2,
                                                                 int[] jarg3,
                                                                 ProgressCallback jarg5)

    - #### Dataset_BuildOverviews__SWIG_2

          public static final int Dataset_BuildOverviews__SWIG_2​(long jarg1,
                                                                 Dataset jarg1_,
                                                                 java.lang.String jarg2,
                                                                 int[] jarg3)

    - #### Dataset_GetGCPCount

          public static final int Dataset_GetGCPCount​(long jarg1,
                                                      Dataset jarg1_)

    - #### Dataset_GetGCPProjection

          public static final java.lang.String Dataset_GetGCPProjection​(long jarg1,
                                                                        Dataset jarg1_)

    - #### Dataset_GetGCPs

          public static final void Dataset_GetGCPs​(long jarg1,
                                                   Dataset jarg1_,
                                                   java.util.Vector jarg2)

    - #### Dataset_SetGCPs

          public static final int Dataset_SetGCPs​(long jarg1,
                                                  Dataset jarg1_,
                                                  GCP[] jarg2,
                                                  java.lang.String jarg4)

    - #### Dataset_FlushCache

          public static final void Dataset_FlushCache​(long jarg1,
                                                      Dataset jarg1_)

    - #### Dataset_AddBand__SWIG_0

          public static final int Dataset_AddBand__SWIG_0​(long jarg1,
                                                          Dataset jarg1_,
                                                          int jarg2,
                                                          java.util.Vector jarg3)

    - #### Dataset_AddBand__SWIG_1

          public static final int Dataset_AddBand__SWIG_1​(long jarg1,
                                                          Dataset jarg1_,
                                                          int jarg2)

    - #### Dataset_AddBand__SWIG_2

          public static final int Dataset_AddBand__SWIG_2​(long jarg1,
                                                          Dataset jarg1_)

    - #### Dataset_CreateMaskBand

          public static final int Dataset_CreateMaskBand​(long jarg1,
                                                         Dataset jarg1_,
                                                         int jarg2)

    - #### Dataset_GetFileList

          public static final java.util.Vector Dataset_GetFileList​(long jarg1,
                                                                   Dataset jarg1_)

    - #### Dataset_AdviseRead__SWIG_0

          public static final int Dataset_AdviseRead__SWIG_0​(long jarg1,
                                                             Dataset jarg1_,
                                                             int jarg2,
                                                             int jarg3,
                                                             int jarg4,
                                                             int jarg5,
                                                             long jarg6,
                                                             long jarg7,
                                                             long jarg8,
                                                             int[] jarg9,
                                                             java.util.Vector jarg11)

    - #### Dataset_AdviseRead__SWIG_1

          public static final int Dataset_AdviseRead__SWIG_1​(long jarg1,
                                                             Dataset jarg1_,
                                                             int jarg2,
                                                             int jarg3,
                                                             int jarg4,
                                                             int jarg5,
                                                             long jarg6,
                                                             long jarg7,
                                                             long jarg8,
                                                             int[] jarg9)

    - #### Dataset_AdviseRead__SWIG_3

          public static final int Dataset_AdviseRead__SWIG_3​(long jarg1,
                                                             Dataset jarg1_,
                                                             int jarg2,
                                                             int jarg3,
                                                             int jarg4,
                                                             int jarg5,
                                                             long jarg6,
                                                             long jarg7,
                                                             long jarg8)

    - #### Dataset_AdviseRead__SWIG_4

          public static final int Dataset_AdviseRead__SWIG_4​(long jarg1,
                                                             Dataset jarg1_,
                                                             int jarg2,
                                                             int jarg3,
                                                             int jarg4,
                                                             int jarg5,
                                                             long jarg6,
                                                             long jarg7)

    - #### Dataset_AdviseRead__SWIG_5

          public static final int Dataset_AdviseRead__SWIG_5​(long jarg1,
                                                             Dataset jarg1_,
                                                             int jarg2,
                                                             int jarg3,
                                                             int jarg4,
                                                             int jarg5,
                                                             long jarg6)

    - #### Dataset_AdviseRead__SWIG_6

          public static final int Dataset_AdviseRead__SWIG_6​(long jarg1,
                                                             Dataset jarg1_,
                                                             int jarg2,
                                                             int jarg3,
                                                             int jarg4,
                                                             int jarg5)

    - #### Dataset_CreateLayer__SWIG_0

          public static final long Dataset_CreateLayer__SWIG_0​(long jarg1,
                                                               Dataset jarg1_,
                                                               java.lang.String jarg2,
                                                               long jarg3,
                                                               SpatialReference jarg3_,
                                                               int jarg4,
                                                               java.util.Vector jarg5)

    - #### Dataset_CreateLayer__SWIG_1

          public static final long Dataset_CreateLayer__SWIG_1​(long jarg1,
                                                               Dataset jarg1_,
                                                               java.lang.String jarg2,
                                                               long jarg3,
                                                               SpatialReference jarg3_,
                                                               int jarg4)

    - #### Dataset_CreateLayer__SWIG_2

          public static final long Dataset_CreateLayer__SWIG_2​(long jarg1,
                                                               Dataset jarg1_,
                                                               java.lang.String jarg2,
                                                               long jarg3,
                                                               SpatialReference jarg3_)

    - #### Dataset_CreateLayer__SWIG_3

          public static final long Dataset_CreateLayer__SWIG_3​(long jarg1,
                                                               Dataset jarg1_,
                                                               java.lang.String jarg2)

    - #### Dataset_CopyLayer__SWIG_0

          public static final long Dataset_CopyLayer__SWIG_0​(long jarg1,
                                                             Dataset jarg1_,
                                                             long jarg2,
                                                             Layer jarg2_,
                                                             java.lang.String jarg3,
                                                             java.util.Vector jarg4)

    - #### Dataset_CopyLayer__SWIG_1

          public static final long Dataset_CopyLayer__SWIG_1​(long jarg1,
                                                             Dataset jarg1_,
                                                             long jarg2,
                                                             Layer jarg2_,
                                                             java.lang.String jarg3)

    - #### Dataset_DeleteLayer

          public static final int Dataset_DeleteLayer​(long jarg1,
                                                      Dataset jarg1_,
                                                      int jarg2)

    - #### Dataset_GetLayerCount

          public static final int Dataset_GetLayerCount​(long jarg1,
                                                        Dataset jarg1_)

    - #### Dataset_GetLayerByIndex

          public static final long Dataset_GetLayerByIndex​(long jarg1,
                                                           Dataset jarg1_,
                                                           int jarg2)

    - #### Dataset_GetLayerByName

          public static final long Dataset_GetLayerByName​(long jarg1,
                                                          Dataset jarg1_,
                                                          java.lang.String jarg2)

    - #### Dataset_ResetReading

          public static final void Dataset_ResetReading​(long jarg1,
                                                        Dataset jarg1_)

    - #### Dataset_GetNextFeature

          public static final long Dataset_GetNextFeature​(long jarg1,
                                                          Dataset jarg1_)

    - #### Dataset_TestCapability

          public static final boolean Dataset_TestCapability​(long jarg1,
                                                             Dataset jarg1_,
                                                             java.lang.String jarg2)

    - #### Dataset_ExecuteSQL__SWIG_0

          public static final long Dataset_ExecuteSQL__SWIG_0​(long jarg1,
                                                              Dataset jarg1_,
                                                              java.lang.String jarg2,
                                                              long jarg3,
                                                              Geometry jarg3_,
                                                              java.lang.String jarg4)

    - #### Dataset_ExecuteSQL__SWIG_1

          public static final long Dataset_ExecuteSQL__SWIG_1​(long jarg1,
                                                              Dataset jarg1_,
                                                              java.lang.String jarg2,
                                                              long jarg3,
                                                              Geometry jarg3_)

    - #### Dataset_ExecuteSQL__SWIG_2

          public static final long Dataset_ExecuteSQL__SWIG_2​(long jarg1,
                                                              Dataset jarg1_,
                                                              java.lang.String jarg2)

    - #### Dataset_ReleaseResultSet

          public static final void Dataset_ReleaseResultSet​(long jarg1,
                                                            Dataset jarg1_,
                                                            long jarg2,
                                                            Layer jarg2_)

    - #### Dataset_GetStyleTable

          public static final long Dataset_GetStyleTable​(long jarg1,
                                                         Dataset jarg1_)

    - #### Dataset_SetStyleTable

          public static final void Dataset_SetStyleTable​(long jarg1,
                                                         Dataset jarg1_,
                                                         long jarg2,
                                                         StyleTable jarg2_)

    - #### Dataset_StartTransaction__SWIG_0

          public static final int Dataset_StartTransaction__SWIG_0​(long jarg1,
                                                                   Dataset jarg1_,
                                                                   int jarg2)

    - #### Dataset_StartTransaction__SWIG_1

          public static final int Dataset_StartTransaction__SWIG_1​(long jarg1,
                                                                   Dataset jarg1_)

    - #### Dataset_CommitTransaction

          public static final int Dataset_CommitTransaction​(long jarg1,
                                                            Dataset jarg1_)

    - #### Dataset_RollbackTransaction

          public static final int Dataset_RollbackTransaction​(long jarg1,
                                                              Dataset jarg1_)

    - #### Dataset_ReadRaster_Direct__SWIG_0

          public static final int Dataset_ReadRaster_Direct__SWIG_0​(long jarg1,
                                                                    Dataset jarg1_,
                                                                    int jarg2,
                                                                    int jarg3,
                                                                    int jarg4,
                                                                    int jarg5,
                                                                    int jarg6,
                                                                    int jarg7,
                                                                    int jarg8,
                                                                    java.nio.ByteBuffer jarg9,
                                                                    int[] jarg11,
                                                                    int jarg13,
                                                                    int jarg14,
                                                                    int jarg15)

    - #### Dataset_ReadRaster_Direct__SWIG_1

          public static final int Dataset_ReadRaster_Direct__SWIG_1​(long jarg1,
                                                                    Dataset jarg1_,
                                                                    int jarg2,
                                                                    int jarg3,
                                                                    int jarg4,
                                                                    int jarg5,
                                                                    int jarg6,
                                                                    int jarg7,
                                                                    int jarg8,
                                                                    java.nio.ByteBuffer jarg9,
                                                                    int[] jarg11,
                                                                    int jarg13,
                                                                    int jarg14)

    - #### Dataset_ReadRaster_Direct__SWIG_2

          public static final int Dataset_ReadRaster_Direct__SWIG_2​(long jarg1,
                                                                    Dataset jarg1_,
                                                                    int jarg2,
                                                                    int jarg3,
                                                                    int jarg4,
                                                                    int jarg5,
                                                                    int jarg6,
                                                                    int jarg7,
                                                                    int jarg8,
                                                                    java.nio.ByteBuffer jarg9,
                                                                    int[] jarg11,
                                                                    int jarg13)

    - #### Dataset_ReadRaster_Direct__SWIG_3

          public static final int Dataset_ReadRaster_Direct__SWIG_3​(long jarg1,
                                                                    Dataset jarg1_,
                                                                    int jarg2,
                                                                    int jarg3,
                                                                    int jarg4,
                                                                    int jarg5,
                                                                    int jarg6,
                                                                    int jarg7,
                                                                    int jarg8,
                                                                    java.nio.ByteBuffer jarg9,
                                                                    int[] jarg11)

    - #### Dataset_ReadRaster__SWIG_0

          public static final int Dataset_ReadRaster__SWIG_0​(long jarg1,
                                                             Dataset jarg1_,
                                                             int jarg2,
                                                             int jarg3,
                                                             int jarg4,
                                                             int jarg5,
                                                             int jarg6,
                                                             int jarg7,
                                                             int jarg8,
                                                             byte[] jarg9,
                                                             int[] jarg11,
                                                             int jarg13,
                                                             int jarg14,
                                                             int jarg15)

    - #### Dataset_ReadRaster__SWIG_1

          public static final int Dataset_ReadRaster__SWIG_1​(long jarg1,
                                                             Dataset jarg1_,
                                                             int jarg2,
                                                             int jarg3,
                                                             int jarg4,
                                                             int jarg5,
                                                             int jarg6,
                                                             int jarg7,
                                                             int jarg8,
                                                             byte[] jarg9,
                                                             int[] jarg11,
                                                             int jarg13,
                                                             int jarg14)

    - #### Dataset_ReadRaster__SWIG_2

          public static final int Dataset_ReadRaster__SWIG_2​(long jarg1,
                                                             Dataset jarg1_,
                                                             int jarg2,
                                                             int jarg3,
                                                             int jarg4,
                                                             int jarg5,
                                                             int jarg6,
                                                             int jarg7,
                                                             int jarg8,
                                                             byte[] jarg9,
                                                             int[] jarg11,
                                                             int jarg13)

    - #### Dataset_ReadRaster__SWIG_3

          public static final int Dataset_ReadRaster__SWIG_3​(long jarg1,
                                                             Dataset jarg1_,
                                                             int jarg2,
                                                             int jarg3,
                                                             int jarg4,
                                                             int jarg5,
                                                             int jarg6,
                                                             int jarg7,
                                                             int jarg8,
                                                             byte[] jarg9,
                                                             int[] jarg11)

    - #### Dataset_ReadRaster__SWIG_4

          public static final int Dataset_ReadRaster__SWIG_4​(long jarg1,
                                                             Dataset jarg1_,
                                                             int jarg2,
                                                             int jarg3,
                                                             int jarg4,
                                                             int jarg5,
                                                             int jarg6,
                                                             int jarg7,
                                                             int jarg8,
                                                             short[] jarg9,
                                                             int[] jarg11,
                                                             int jarg13,
                                                             int jarg14,
                                                             int jarg15)

    - #### Dataset_ReadRaster__SWIG_5

          public static final int Dataset_ReadRaster__SWIG_5​(long jarg1,
                                                             Dataset jarg1_,
                                                             int jarg2,
                                                             int jarg3,
                                                             int jarg4,
                                                             int jarg5,
                                                             int jarg6,
                                                             int jarg7,
                                                             int jarg8,
                                                             short[] jarg9,
                                                             int[] jarg11,
                                                             int jarg13,
                                                             int jarg14)

    - #### Dataset_ReadRaster__SWIG_6

          public static final int Dataset_ReadRaster__SWIG_6​(long jarg1,
                                                             Dataset jarg1_,
                                                             int jarg2,
                                                             int jarg3,
                                                             int jarg4,
                                                             int jarg5,
                                                             int jarg6,
                                                             int jarg7,
                                                             int jarg8,
                                                             short[] jarg9,
                                                             int[] jarg11,
                                                             int jarg13)

    - #### Dataset_ReadRaster__SWIG_7

          public static final int Dataset_ReadRaster__SWIG_7​(long jarg1,
                                                             Dataset jarg1_,
                                                             int jarg2,
                                                             int jarg3,
                                                             int jarg4,
                                                             int jarg5,
                                                             int jarg6,
                                                             int jarg7,
                                                             int jarg8,
                                                             short[] jarg9,
                                                             int[] jarg11)

    - #### Dataset_ReadRaster__SWIG_8

          public static final int Dataset_ReadRaster__SWIG_8​(long jarg1,
                                                             Dataset jarg1_,
                                                             int jarg2,
                                                             int jarg3,
                                                             int jarg4,
                                                             int jarg5,
                                                             int jarg6,
                                                             int jarg7,
                                                             int jarg8,
                                                             int[] jarg9,
                                                             int[] jarg11,
                                                             int jarg13,
                                                             int jarg14,
                                                             int jarg15)

    - #### Dataset_ReadRaster__SWIG_9

          public static final int Dataset_ReadRaster__SWIG_9​(long jarg1,
                                                             Dataset jarg1_,
                                                             int jarg2,
                                                             int jarg3,
                                                             int jarg4,
                                                             int jarg5,
                                                             int jarg6,
                                                             int jarg7,
                                                             int jarg8,
                                                             int[] jarg9,
                                                             int[] jarg11,
                                                             int jarg13,
                                                             int jarg14)

    - #### Dataset_ReadRaster__SWIG_10

          public static final int Dataset_ReadRaster__SWIG_10​(long jarg1,
                                                              Dataset jarg1_,
                                                              int jarg2,
                                                              int jarg3,
                                                              int jarg4,
                                                              int jarg5,
                                                              int jarg6,
                                                              int jarg7,
                                                              int jarg8,
                                                              int[] jarg9,
                                                              int[] jarg11,
                                                              int jarg13)

    - #### Dataset_ReadRaster__SWIG_11

          public static final int Dataset_ReadRaster__SWIG_11​(long jarg1,
                                                              Dataset jarg1_,
                                                              int jarg2,
                                                              int jarg3,
                                                              int jarg4,
                                                              int jarg5,
                                                              int jarg6,
                                                              int jarg7,
                                                              int jarg8,
                                                              int[] jarg9,
                                                              int[] jarg11)

    - #### Dataset_ReadRaster__SWIG_12

          public static final int Dataset_ReadRaster__SWIG_12​(long jarg1,
                                                              Dataset jarg1_,
                                                              int jarg2,
                                                              int jarg3,
                                                              int jarg4,
                                                              int jarg5,
                                                              int jarg6,
                                                              int jarg7,
                                                              int jarg8,
                                                              float[] jarg9,
                                                              int[] jarg11,
                                                              int jarg13,
                                                              int jarg14,
                                                              int jarg15)

    - #### Dataset_ReadRaster__SWIG_13

          public static final int Dataset_ReadRaster__SWIG_13​(long jarg1,
                                                              Dataset jarg1_,
                                                              int jarg2,
                                                              int jarg3,
                                                              int jarg4,
                                                              int jarg5,
                                                              int jarg6,
                                                              int jarg7,
                                                              int jarg8,
                                                              float[] jarg9,
                                                              int[] jarg11,
                                                              int jarg13,
                                                              int jarg14)

    - #### Dataset_ReadRaster__SWIG_14

          public static final int Dataset_ReadRaster__SWIG_14​(long jarg1,
                                                              Dataset jarg1_,
                                                              int jarg2,
                                                              int jarg3,
                                                              int jarg4,
                                                              int jarg5,
                                                              int jarg6,
                                                              int jarg7,
                                                              int jarg8,
                                                              float[] jarg9,
                                                              int[] jarg11,
                                                              int jarg13)

    - #### Dataset_ReadRaster__SWIG_15

          public static final int Dataset_ReadRaster__SWIG_15​(long jarg1,
                                                              Dataset jarg1_,
                                                              int jarg2,
                                                              int jarg3,
                                                              int jarg4,
                                                              int jarg5,
                                                              int jarg6,
                                                              int jarg7,
                                                              int jarg8,
                                                              float[] jarg9,
                                                              int[] jarg11)

    - #### Dataset_ReadRaster__SWIG_16

          public static final int Dataset_ReadRaster__SWIG_16​(long jarg1,
                                                              Dataset jarg1_,
                                                              int jarg2,
                                                              int jarg3,
                                                              int jarg4,
                                                              int jarg5,
                                                              int jarg6,
                                                              int jarg7,
                                                              int jarg8,
                                                              double[] jarg9,
                                                              int[] jarg11,
                                                              int jarg13,
                                                              int jarg14,
                                                              int jarg15)

    - #### Dataset_ReadRaster__SWIG_17

          public static final int Dataset_ReadRaster__SWIG_17​(long jarg1,
                                                              Dataset jarg1_,
                                                              int jarg2,
                                                              int jarg3,
                                                              int jarg4,
                                                              int jarg5,
                                                              int jarg6,
                                                              int jarg7,
                                                              int jarg8,
                                                              double[] jarg9,
                                                              int[] jarg11,
                                                              int jarg13,
                                                              int jarg14)

    - #### Dataset_ReadRaster__SWIG_18

          public static final int Dataset_ReadRaster__SWIG_18​(long jarg1,
                                                              Dataset jarg1_,
                                                              int jarg2,
                                                              int jarg3,
                                                              int jarg4,
                                                              int jarg5,
                                                              int jarg6,
                                                              int jarg7,
                                                              int jarg8,
                                                              double[] jarg9,
                                                              int[] jarg11,
                                                              int jarg13)

    - #### Dataset_ReadRaster__SWIG_19

          public static final int Dataset_ReadRaster__SWIG_19​(long jarg1,
                                                              Dataset jarg1_,
                                                              int jarg2,
                                                              int jarg3,
                                                              int jarg4,
                                                              int jarg5,
                                                              int jarg6,
                                                              int jarg7,
                                                              int jarg8,
                                                              double[] jarg9,
                                                              int[] jarg11)

    - #### Dataset_WriteRaster_Direct__SWIG_0

          public static final int Dataset_WriteRaster_Direct__SWIG_0​(long jarg1,
                                                                     Dataset jarg1_,
                                                                     int jarg2,
                                                                     int jarg3,
                                                                     int jarg4,
                                                                     int jarg5,
                                                                     int jarg6,
                                                                     int jarg7,
                                                                     int jarg8,
                                                                     java.nio.ByteBuffer jarg9,
                                                                     int[] jarg11,
                                                                     int jarg13,
                                                                     int jarg14,
                                                                     int jarg15)

    - #### Dataset_WriteRaster_Direct__SWIG_1

          public static final int Dataset_WriteRaster_Direct__SWIG_1​(long jarg1,
                                                                     Dataset jarg1_,
                                                                     int jarg2,
                                                                     int jarg3,
                                                                     int jarg4,
                                                                     int jarg5,
                                                                     int jarg6,
                                                                     int jarg7,
                                                                     int jarg8,
                                                                     java.nio.ByteBuffer jarg9,
                                                                     int[] jarg11,
                                                                     int jarg13,
                                                                     int jarg14)

    - #### Dataset_WriteRaster_Direct__SWIG_2

          public static final int Dataset_WriteRaster_Direct__SWIG_2​(long jarg1,
                                                                     Dataset jarg1_,
                                                                     int jarg2,
                                                                     int jarg3,
                                                                     int jarg4,
                                                                     int jarg5,
                                                                     int jarg6,
                                                                     int jarg7,
                                                                     int jarg8,
                                                                     java.nio.ByteBuffer jarg9,
                                                                     int[] jarg11,
                                                                     int jarg13)

    - #### Dataset_WriteRaster_Direct__SWIG_3

          public static final int Dataset_WriteRaster_Direct__SWIG_3​(long jarg1,
                                                                     Dataset jarg1_,
                                                                     int jarg2,
                                                                     int jarg3,
                                                                     int jarg4,
                                                                     int jarg5,
                                                                     int jarg6,
                                                                     int jarg7,
                                                                     int jarg8,
                                                                     java.nio.ByteBuffer jarg9,
                                                                     int[] jarg11)

    - #### Dataset_WriteRaster__SWIG_0

          public static final int Dataset_WriteRaster__SWIG_0​(long jarg1,
                                                              Dataset jarg1_,
                                                              int jarg2,
                                                              int jarg3,
                                                              int jarg4,
                                                              int jarg5,
                                                              int jarg6,
                                                              int jarg7,
                                                              int jarg8,
                                                              byte[] jarg9,
                                                              int[] jarg11,
                                                              int jarg13,
                                                              int jarg14,
                                                              int jarg15)

    - #### Dataset_WriteRaster__SWIG_1

          public static final int Dataset_WriteRaster__SWIG_1​(long jarg1,
                                                              Dataset jarg1_,
                                                              int jarg2,
                                                              int jarg3,
                                                              int jarg4,
                                                              int jarg5,
                                                              int jarg6,
                                                              int jarg7,
                                                              int jarg8,
                                                              byte[] jarg9,
                                                              int[] jarg11,
                                                              int jarg13,
                                                              int jarg14)

    - #### Dataset_WriteRaster__SWIG_2

          public static final int Dataset_WriteRaster__SWIG_2​(long jarg1,
                                                              Dataset jarg1_,
                                                              int jarg2,
                                                              int jarg3,
                                                              int jarg4,
                                                              int jarg5,
                                                              int jarg6,
                                                              int jarg7,
                                                              int jarg8,
                                                              byte[] jarg9,
                                                              int[] jarg11,
                                                              int jarg13)

    - #### Dataset_WriteRaster__SWIG_3

          public static final int Dataset_WriteRaster__SWIG_3​(long jarg1,
                                                              Dataset jarg1_,
                                                              int jarg2,
                                                              int jarg3,
                                                              int jarg4,
                                                              int jarg5,
                                                              int jarg6,
                                                              int jarg7,
                                                              int jarg8,
                                                              byte[] jarg9,
                                                              int[] jarg11)

    - #### Dataset_WriteRaster__SWIG_4

          public static final int Dataset_WriteRaster__SWIG_4​(long jarg1,
                                                              Dataset jarg1_,
                                                              int jarg2,
                                                              int jarg3,
                                                              int jarg4,
                                                              int jarg5,
                                                              int jarg6,
                                                              int jarg7,
                                                              int jarg8,
                                                              short[] jarg9,
                                                              int[] jarg11,
                                                              int jarg13,
                                                              int jarg14,
                                                              int jarg15)

    - #### Dataset_WriteRaster__SWIG_5

          public static final int Dataset_WriteRaster__SWIG_5​(long jarg1,
                                                              Dataset jarg1_,
                                                              int jarg2,
                                                              int jarg3,
                                                              int jarg4,
                                                              int jarg5,
                                                              int jarg6,
                                                              int jarg7,
                                                              int jarg8,
                                                              short[] jarg9,
                                                              int[] jarg11,
                                                              int jarg13,
                                                              int jarg14)

    - #### Dataset_WriteRaster__SWIG_6

          public static final int Dataset_WriteRaster__SWIG_6​(long jarg1,
                                                              Dataset jarg1_,
                                                              int jarg2,
                                                              int jarg3,
                                                              int jarg4,
                                                              int jarg5,
                                                              int jarg6,
                                                              int jarg7,
                                                              int jarg8,
                                                              short[] jarg9,
                                                              int[] jarg11,
                                                              int jarg13)

    - #### Dataset_WriteRaster__SWIG_7

          public static final int Dataset_WriteRaster__SWIG_7​(long jarg1,
                                                              Dataset jarg1_,
                                                              int jarg2,
                                                              int jarg3,
                                                              int jarg4,
                                                              int jarg5,
                                                              int jarg6,
                                                              int jarg7,
                                                              int jarg8,
                                                              short[] jarg9,
                                                              int[] jarg11)

    - #### Dataset_WriteRaster__SWIG_8

          public static final int Dataset_WriteRaster__SWIG_8​(long jarg1,
                                                              Dataset jarg1_,
                                                              int jarg2,
                                                              int jarg3,
                                                              int jarg4,
                                                              int jarg5,
                                                              int jarg6,
                                                              int jarg7,
                                                              int jarg8,
                                                              int[] jarg9,
                                                              int[] jarg11,
                                                              int jarg13,
                                                              int jarg14,
                                                              int jarg15)

    - #### Dataset_WriteRaster__SWIG_9

          public static final int Dataset_WriteRaster__SWIG_9​(long jarg1,
                                                              Dataset jarg1_,
                                                              int jarg2,
                                                              int jarg3,
                                                              int jarg4,
                                                              int jarg5,
                                                              int jarg6,
                                                              int jarg7,
                                                              int jarg8,
                                                              int[] jarg9,
                                                              int[] jarg11,
                                                              int jarg13,
                                                              int jarg14)

    - #### Dataset_WriteRaster__SWIG_10

          public static final int Dataset_WriteRaster__SWIG_10​(long jarg1,
                                                               Dataset jarg1_,
                                                               int jarg2,
                                                               int jarg3,
                                                               int jarg4,
                                                               int jarg5,
                                                               int jarg6,
                                                               int jarg7,
                                                               int jarg8,
                                                               int[] jarg9,
                                                               int[] jarg11,
                                                               int jarg13)

    - #### Dataset_WriteRaster__SWIG_11

          public static final int Dataset_WriteRaster__SWIG_11​(long jarg1,
                                                               Dataset jarg1_,
                                                               int jarg2,
                                                               int jarg3,
                                                               int jarg4,
                                                               int jarg5,
                                                               int jarg6,
                                                               int jarg7,
                                                               int jarg8,
                                                               int[] jarg9,
                                                               int[] jarg11)

    - #### Dataset_WriteRaster__SWIG_12

          public static final int Dataset_WriteRaster__SWIG_12​(long jarg1,
                                                               Dataset jarg1_,
                                                               int jarg2,
                                                               int jarg3,
                                                               int jarg4,
                                                               int jarg5,
                                                               int jarg6,
                                                               int jarg7,
                                                               int jarg8,
                                                               float[] jarg9,
                                                               int[] jarg11,
                                                               int jarg13,
                                                               int jarg14,
                                                               int jarg15)

    - #### Dataset_WriteRaster__SWIG_13

          public static final int Dataset_WriteRaster__SWIG_13​(long jarg1,
                                                               Dataset jarg1_,
                                                               int jarg2,
                                                               int jarg3,
                                                               int jarg4,
                                                               int jarg5,
                                                               int jarg6,
                                                               int jarg7,
                                                               int jarg8,
                                                               float[] jarg9,
                                                               int[] jarg11,
                                                               int jarg13,
                                                               int jarg14)

    - #### Dataset_WriteRaster__SWIG_14

          public static final int Dataset_WriteRaster__SWIG_14​(long jarg1,
                                                               Dataset jarg1_,
                                                               int jarg2,
                                                               int jarg3,
                                                               int jarg4,
                                                               int jarg5,
                                                               int jarg6,
                                                               int jarg7,
                                                               int jarg8,
                                                               float[] jarg9,
                                                               int[] jarg11,
                                                               int jarg13)

    - #### Dataset_WriteRaster__SWIG_15

          public static final int Dataset_WriteRaster__SWIG_15​(long jarg1,
                                                               Dataset jarg1_,
                                                               int jarg2,
                                                               int jarg3,
                                                               int jarg4,
                                                               int jarg5,
                                                               int jarg6,
                                                               int jarg7,
                                                               int jarg8,
                                                               float[] jarg9,
                                                               int[] jarg11)

    - #### Dataset_WriteRaster__SWIG_16

          public static final int Dataset_WriteRaster__SWIG_16​(long jarg1,
                                                               Dataset jarg1_,
                                                               int jarg2,
                                                               int jarg3,
                                                               int jarg4,
                                                               int jarg5,
                                                               int jarg6,
                                                               int jarg7,
                                                               int jarg8,
                                                               double[] jarg9,
                                                               int[] jarg11,
                                                               int jarg13,
                                                               int jarg14,
                                                               int jarg15)

    - #### Dataset_WriteRaster__SWIG_17

          public static final int Dataset_WriteRaster__SWIG_17​(long jarg1,
                                                               Dataset jarg1_,
                                                               int jarg2,
                                                               int jarg3,
                                                               int jarg4,
                                                               int jarg5,
                                                               int jarg6,
                                                               int jarg7,
                                                               int jarg8,
                                                               double[] jarg9,
                                                               int[] jarg11,
                                                               int jarg13,
                                                               int jarg14)

    - #### Dataset_WriteRaster__SWIG_18

          public static final int Dataset_WriteRaster__SWIG_18​(long jarg1,
                                                               Dataset jarg1_,
                                                               int jarg2,
                                                               int jarg3,
                                                               int jarg4,
                                                               int jarg5,
                                                               int jarg6,
                                                               int jarg7,
                                                               int jarg8,
                                                               double[] jarg9,
                                                               int[] jarg11,
                                                               int jarg13)

    - #### Dataset_WriteRaster__SWIG_19

          public static final int Dataset_WriteRaster__SWIG_19​(long jarg1,
                                                               Dataset jarg1_,
                                                               int jarg2,
                                                               int jarg3,
                                                               int jarg4,
                                                               int jarg5,
                                                               int jarg6,
                                                               int jarg7,
                                                               int jarg8,
                                                               double[] jarg9,
                                                               int[] jarg11)

    - #### Band_XSize_get

          public static final int Band_XSize_get​(long jarg1,
                                                 Band jarg1_)

    - #### Band_YSize_get

          public static final int Band_YSize_get​(long jarg1,
                                                 Band jarg1_)

    - #### Band_DataType_get

          public static final int Band_DataType_get​(long jarg1,
                                                    Band jarg1_)

    - #### Band_GetDataset

          public static final long Band_GetDataset​(long jarg1,
                                                   Band jarg1_)

    - #### Band_GetBand

          public static final int Band_GetBand​(long jarg1,
                                               Band jarg1_)

    - #### Band_GetBlockSize

          public static final void Band_GetBlockSize​(long jarg1,
                                                     Band jarg1_,
                                                     int[] jarg2,
                                                     int[] jarg3)

    - #### Band_GetColorInterpretation

          public static final int Band_GetColorInterpretation​(long jarg1,
                                                              Band jarg1_)

    - #### Band_GetRasterColorInterpretation

          public static final int Band_GetRasterColorInterpretation​(long jarg1,
                                                                    Band jarg1_)

    - #### Band_SetColorInterpretation

          public static final int Band_SetColorInterpretation​(long jarg1,
                                                              Band jarg1_,
                                                              int jarg2)

    - #### Band_SetRasterColorInterpretation

          public static final int Band_SetRasterColorInterpretation​(long jarg1,
                                                                    Band jarg1_,
                                                                    int jarg2)

    - #### Band_GetNoDataValue

          public static final void Band_GetNoDataValue​(long jarg1,
                                                       Band jarg1_,
                                                       java.lang.Double[] jarg2)

    - #### Band_SetNoDataValue

          public static final int Band_SetNoDataValue​(long jarg1,
                                                      Band jarg1_,
                                                      double jarg2)

    - #### Band_DeleteNoDataValue

          public static final int Band_DeleteNoDataValue​(long jarg1,
                                                         Band jarg1_)

    - #### Band_GetUnitType

          public static final java.lang.String Band_GetUnitType​(long jarg1,
                                                                Band jarg1_)

    - #### Band_SetUnitType

          public static final int Band_SetUnitType​(long jarg1,
                                                   Band jarg1_,
                                                   java.lang.String jarg2)

    - #### Band_GetRasterCategoryNames

          public static final java.util.Vector Band_GetRasterCategoryNames​(long jarg1,
                                                                           Band jarg1_)

    - #### Band_SetRasterCategoryNames

          public static final int Band_SetRasterCategoryNames​(long jarg1,
                                                              Band jarg1_,
                                                              java.util.Vector jarg2)

    - #### Band_GetMinimum

          public static final void Band_GetMinimum​(long jarg1,
                                                   Band jarg1_,
                                                   java.lang.Double[] jarg2)

    - #### Band_GetMaximum

          public static final void Band_GetMaximum​(long jarg1,
                                                   Band jarg1_,
                                                   java.lang.Double[] jarg2)

    - #### Band_GetOffset

          public static final void Band_GetOffset​(long jarg1,
                                                  Band jarg1_,
                                                  java.lang.Double[] jarg2)

    - #### Band_GetScale

          public static final void Band_GetScale​(long jarg1,
                                                 Band jarg1_,
                                                 java.lang.Double[] jarg2)

    - #### Band_SetOffset

          public static final int Band_SetOffset​(long jarg1,
                                                 Band jarg1_,
                                                 double jarg2)

    - #### Band_SetScale

          public static final int Band_SetScale​(long jarg1,
                                                Band jarg1_,
                                                double jarg2)

    - #### Band_GetStatistics

          public static final int Band_GetStatistics​(long jarg1,
                                                     Band jarg1_,
                                                     int jarg2,
                                                     int jarg3,
                                                     double[] jarg4,
                                                     double[] jarg5,
                                                     double[] jarg6,
                                                     double[] jarg7)

    - #### Band_ComputeStatistics__SWIG_0

          public static final int Band_ComputeStatistics__SWIG_0​(long jarg1,
                                                                 Band jarg1_,
                                                                 boolean jarg2,
                                                                 double[] jarg3,
                                                                 double[] jarg4,
                                                                 double[] jarg5,
                                                                 double[] jarg6,
                                                                 ProgressCallback jarg7)

    - #### Band_ComputeStatistics__SWIG_2

          public static final int Band_ComputeStatistics__SWIG_2​(long jarg1,
                                                                 Band jarg1_,
                                                                 boolean jarg2,
                                                                 double[] jarg3,
                                                                 double[] jarg4,
                                                                 double[] jarg5,
                                                                 double[] jarg6)

    - #### Band_ComputeStatistics__SWIG_3

          public static final int Band_ComputeStatistics__SWIG_3​(long jarg1,
                                                                 Band jarg1_,
                                                                 boolean jarg2,
                                                                 double[] jarg3,
                                                                 double[] jarg4,
                                                                 double[] jarg5)

    - #### Band_ComputeStatistics__SWIG_4

          public static final int Band_ComputeStatistics__SWIG_4​(long jarg1,
                                                                 Band jarg1_,
                                                                 boolean jarg2,
                                                                 double[] jarg3,
                                                                 double[] jarg4)

    - #### Band_ComputeStatistics__SWIG_5

          public static final int Band_ComputeStatistics__SWIG_5​(long jarg1,
                                                                 Band jarg1_,
                                                                 boolean jarg2,
                                                                 double[] jarg3)

    - #### Band_ComputeStatistics__SWIG_6

          public static final int Band_ComputeStatistics__SWIG_6​(long jarg1,
                                                                 Band jarg1_,
                                                                 boolean jarg2)

    - #### Band_SetStatistics

          public static final int Band_SetStatistics​(long jarg1,
                                                     Band jarg1_,
                                                     double jarg2,
                                                     double jarg3,
                                                     double jarg4,
                                                     double jarg5)

    - #### Band_GetOverviewCount

          public static final int Band_GetOverviewCount​(long jarg1,
                                                        Band jarg1_)

    - #### Band_GetOverview

          public static final long Band_GetOverview​(long jarg1,
                                                    Band jarg1_,
                                                    int jarg2)

    - #### Band_Checksum

          public static final int Band_Checksum​(long jarg1,
                                                Band jarg1_,
                                                int jarg2,
                                                int jarg3,
                                                int jarg4,
                                                int jarg5)

    - #### Band_ComputeRasterMinMax__SWIG_0

          public static final void Band_ComputeRasterMinMax__SWIG_0​(long jarg1,
                                                                    Band jarg1_,
                                                                    double[] jarg2,
                                                                    int jarg3)

    - #### Band_ComputeRasterMinMax__SWIG_1

          public static final void Band_ComputeRasterMinMax__SWIG_1​(long jarg1,
                                                                    Band jarg1_,
                                                                    double[] jarg2)

    - #### Band_ComputeBandStats__SWIG_0

          public static final void Band_ComputeBandStats__SWIG_0​(long jarg1,
                                                                 Band jarg1_,
                                                                 double[] jarg2,
                                                                 int jarg3)

    - #### Band_ComputeBandStats__SWIG_1

          public static final void Band_ComputeBandStats__SWIG_1​(long jarg1,
                                                                 Band jarg1_,
                                                                 double[] jarg2)

    - #### Band_Fill__SWIG_0

          public static final int Band_Fill__SWIG_0​(long jarg1,
                                                    Band jarg1_,
                                                    double jarg2,
                                                    double jarg3)

    - #### Band_Fill__SWIG_1

          public static final int Band_Fill__SWIG_1​(long jarg1,
                                                    Band jarg1_,
                                                    double jarg2)

    - #### Band_FlushCache

          public static final void Band_FlushCache​(long jarg1,
                                                   Band jarg1_)

    - #### Band_GetRasterColorTable

          public static final long Band_GetRasterColorTable​(long jarg1,
                                                            Band jarg1_)

    - #### Band_GetColorTable

          public static final long Band_GetColorTable​(long jarg1,
                                                      Band jarg1_)

    - #### Band_SetRasterColorTable

          public static final int Band_SetRasterColorTable​(long jarg1,
                                                           Band jarg1_,
                                                           long jarg2,
                                                           ColorTable jarg2_)

    - #### Band_SetColorTable

          public static final int Band_SetColorTable​(long jarg1,
                                                     Band jarg1_,
                                                     long jarg2,
                                                     ColorTable jarg2_)

    - #### Band_GetDefaultRAT

          public static final long Band_GetDefaultRAT​(long jarg1,
                                                      Band jarg1_)

    - #### Band_SetDefaultRAT

          public static final int Band_SetDefaultRAT​(long jarg1,
                                                     Band jarg1_,
                                                     long jarg2,
                                                     RasterAttributeTable jarg2_)

    - #### Band_GetMaskBand

          public static final long Band_GetMaskBand​(long jarg1,
                                                    Band jarg1_)

    - #### Band_GetMaskFlags

          public static final int Band_GetMaskFlags​(long jarg1,
                                                    Band jarg1_)

    - #### Band_CreateMaskBand

          public static final int Band_CreateMaskBand​(long jarg1,
                                                      Band jarg1_,
                                                      int jarg2)

    - #### Band_SetDefaultHistogram

          public static final int Band_SetDefaultHistogram​(long jarg1,
                                                           Band jarg1_,
                                                           double jarg2,
                                                           double jarg3,
                                                           int[] jarg4)

    - #### Band_HasArbitraryOverviews

          public static final boolean Band_HasArbitraryOverviews​(long jarg1,
                                                                 Band jarg1_)

    - #### Band_GetCategoryNames

          public static final java.util.Vector Band_GetCategoryNames​(long jarg1,
                                                                     Band jarg1_)

    - #### Band_SetCategoryNames

          public static final int Band_SetCategoryNames​(long jarg1,
                                                        Band jarg1_,
                                                        java.util.Vector jarg2)

    - #### Band_AdviseRead__SWIG_0

          public static final int Band_AdviseRead__SWIG_0​(long jarg1,
                                                          Band jarg1_,
                                                          int jarg2,
                                                          int jarg3,
                                                          int jarg4,
                                                          int jarg5,
                                                          long jarg6,
                                                          long jarg7,
                                                          long jarg8,
                                                          java.util.Vector jarg9)

    - #### Band_AdviseRead__SWIG_1

          public static final int Band_AdviseRead__SWIG_1​(long jarg1,
                                                          Band jarg1_,
                                                          int jarg2,
                                                          int jarg3,
                                                          int jarg4,
                                                          int jarg5,
                                                          long jarg6,
                                                          long jarg7,
                                                          long jarg8)

    - #### Band_AdviseRead__SWIG_2

          public static final int Band_AdviseRead__SWIG_2​(long jarg1,
                                                          Band jarg1_,
                                                          int jarg2,
                                                          int jarg3,
                                                          int jarg4,
                                                          int jarg5,
                                                          long jarg6,
                                                          long jarg7)

    - #### Band_AdviseRead__SWIG_3

          public static final int Band_AdviseRead__SWIG_3​(long jarg1,
                                                          Band jarg1_,
                                                          int jarg2,
                                                          int jarg3,
                                                          int jarg4,
                                                          int jarg5,
                                                          long jarg6)

    - #### Band_AdviseRead__SWIG_4

          public static final int Band_AdviseRead__SWIG_4​(long jarg1,
                                                          Band jarg1_,
                                                          int jarg2,
                                                          int jarg3,
                                                          int jarg4,
                                                          int jarg5)

    - #### Band_ReadRaster_Direct__SWIG_0

          public static final int Band_ReadRaster_Direct__SWIG_0​(long jarg1,
                                                                 Band jarg1_,
                                                                 int jarg2,
                                                                 int jarg3,
                                                                 int jarg4,
                                                                 int jarg5,
                                                                 int jarg6,
                                                                 int jarg7,
                                                                 int jarg8,
                                                                 java.nio.ByteBuffer jarg9,
                                                                 int jarg11,
                                                                 int jarg12)

    - #### Band_ReadRaster_Direct__SWIG_1

          public static final int Band_ReadRaster_Direct__SWIG_1​(long jarg1,
                                                                 Band jarg1_,
                                                                 int jarg2,
                                                                 int jarg3,
                                                                 int jarg4,
                                                                 int jarg5,
                                                                 int jarg6,
                                                                 int jarg7,
                                                                 int jarg8,
                                                                 java.nio.ByteBuffer jarg9,
                                                                 int jarg11)

    - #### Band_ReadRaster_Direct__SWIG_2

          public static final int Band_ReadRaster_Direct__SWIG_2​(long jarg1,
                                                                 Band jarg1_,
                                                                 int jarg2,
                                                                 int jarg3,
                                                                 int jarg4,
                                                                 int jarg5,
                                                                 int jarg6,
                                                                 int jarg7,
                                                                 int jarg8,
                                                                 java.nio.ByteBuffer jarg9)

    - #### Band_ReadRaster__SWIG_0

          public static final int Band_ReadRaster__SWIG_0​(long jarg1,
                                                          Band jarg1_,
                                                          int jarg2,
                                                          int jarg3,
                                                          int jarg4,
                                                          int jarg5,
                                                          int jarg6,
                                                          int jarg7,
                                                          int jarg8,
                                                          byte[] jarg9,
                                                          int jarg11,
                                                          int jarg12)

    - #### Band_ReadRaster__SWIG_1

          public static final int Band_ReadRaster__SWIG_1​(long jarg1,
                                                          Band jarg1_,
                                                          int jarg2,
                                                          int jarg3,
                                                          int jarg4,
                                                          int jarg5,
                                                          int jarg6,
                                                          int jarg7,
                                                          int jarg8,
                                                          byte[] jarg9,
                                                          int jarg11)

    - #### Band_ReadRaster__SWIG_2

          public static final int Band_ReadRaster__SWIG_2​(long jarg1,
                                                          Band jarg1_,
                                                          int jarg2,
                                                          int jarg3,
                                                          int jarg4,
                                                          int jarg5,
                                                          int jarg6,
                                                          int jarg7,
                                                          int jarg8,
                                                          byte[] jarg9)

    - #### Band_ReadRaster__SWIG_3

          public static final int Band_ReadRaster__SWIG_3​(long jarg1,
                                                          Band jarg1_,
                                                          int jarg2,
                                                          int jarg3,
                                                          int jarg4,
                                                          int jarg5,
                                                          int jarg6,
                                                          int jarg7,
                                                          int jarg8,
                                                          short[] jarg9,
                                                          int jarg11,
                                                          int jarg12)

    - #### Band_ReadRaster__SWIG_4

          public static final int Band_ReadRaster__SWIG_4​(long jarg1,
                                                          Band jarg1_,
                                                          int jarg2,
                                                          int jarg3,
                                                          int jarg4,
                                                          int jarg5,
                                                          int jarg6,
                                                          int jarg7,
                                                          int jarg8,
                                                          short[] jarg9,
                                                          int jarg11)

    - #### Band_ReadRaster__SWIG_5

          public static final int Band_ReadRaster__SWIG_5​(long jarg1,
                                                          Band jarg1_,
                                                          int jarg2,
                                                          int jarg3,
                                                          int jarg4,
                                                          int jarg5,
                                                          int jarg6,
                                                          int jarg7,
                                                          int jarg8,
                                                          short[] jarg9)

    - #### Band_ReadRaster__SWIG_6

          public static final int Band_ReadRaster__SWIG_6​(long jarg1,
                                                          Band jarg1_,
                                                          int jarg2,
                                                          int jarg3,
                                                          int jarg4,
                                                          int jarg5,
                                                          int jarg6,
                                                          int jarg7,
                                                          int jarg8,
                                                          int[] jarg9,
                                                          int jarg11,
                                                          int jarg12)

    - #### Band_ReadRaster__SWIG_7

          public static final int Band_ReadRaster__SWIG_7​(long jarg1,
                                                          Band jarg1_,
                                                          int jarg2,
                                                          int jarg3,
                                                          int jarg4,
                                                          int jarg5,
                                                          int jarg6,
                                                          int jarg7,
                                                          int jarg8,
                                                          int[] jarg9,
                                                          int jarg11)

    - #### Band_ReadRaster__SWIG_8

          public static final int Band_ReadRaster__SWIG_8​(long jarg1,
                                                          Band jarg1_,
                                                          int jarg2,
                                                          int jarg3,
                                                          int jarg4,
                                                          int jarg5,
                                                          int jarg6,
                                                          int jarg7,
                                                          int jarg8,
                                                          int[] jarg9)

    - #### Band_ReadRaster__SWIG_9

          public static final int Band_ReadRaster__SWIG_9​(long jarg1,
                                                          Band jarg1_,
                                                          int jarg2,
                                                          int jarg3,
                                                          int jarg4,
                                                          int jarg5,
                                                          int jarg6,
                                                          int jarg7,
                                                          int jarg8,
                                                          float[] jarg9,
                                                          int jarg11,
                                                          int jarg12)

    - #### Band_ReadRaster__SWIG_10

          public static final int Band_ReadRaster__SWIG_10​(long jarg1,
                                                           Band jarg1_,
                                                           int jarg2,
                                                           int jarg3,
                                                           int jarg4,
                                                           int jarg5,
                                                           int jarg6,
                                                           int jarg7,
                                                           int jarg8,
                                                           float[] jarg9,
                                                           int jarg11)

    - #### Band_ReadRaster__SWIG_11

          public static final int Band_ReadRaster__SWIG_11​(long jarg1,
                                                           Band jarg1_,
                                                           int jarg2,
                                                           int jarg3,
                                                           int jarg4,
                                                           int jarg5,
                                                           int jarg6,
                                                           int jarg7,
                                                           int jarg8,
                                                           float[] jarg9)

    - #### Band_ReadRaster__SWIG_12

          public static final int Band_ReadRaster__SWIG_12​(long jarg1,
                                                           Band jarg1_,
                                                           int jarg2,
                                                           int jarg3,
                                                           int jarg4,
                                                           int jarg5,
                                                           int jarg6,
                                                           int jarg7,
                                                           int jarg8,
                                                           double[] jarg9,
                                                           int jarg11,
                                                           int jarg12)

    - #### Band_ReadRaster__SWIG_13

          public static final int Band_ReadRaster__SWIG_13​(long jarg1,
                                                           Band jarg1_,
                                                           int jarg2,
                                                           int jarg3,
                                                           int jarg4,
                                                           int jarg5,
                                                           int jarg6,
                                                           int jarg7,
                                                           int jarg8,
                                                           double[] jarg9,
                                                           int jarg11)

    - #### Band_ReadRaster__SWIG_14

          public static final int Band_ReadRaster__SWIG_14​(long jarg1,
                                                           Band jarg1_,
                                                           int jarg2,
                                                           int jarg3,
                                                           int jarg4,
                                                           int jarg5,
                                                           int jarg6,
                                                           int jarg7,
                                                           int jarg8,
                                                           double[] jarg9)

    - #### Band_WriteRaster_Direct__SWIG_0

          public static final int Band_WriteRaster_Direct__SWIG_0​(long jarg1,
                                                                  Band jarg1_,
                                                                  int jarg2,
                                                                  int jarg3,
                                                                  int jarg4,
                                                                  int jarg5,
                                                                  int jarg6,
                                                                  int jarg7,
                                                                  int jarg8,
                                                                  java.nio.ByteBuffer jarg9,
                                                                  int jarg11,
                                                                  int jarg12)

    - #### Band_WriteRaster_Direct__SWIG_1

          public static final int Band_WriteRaster_Direct__SWIG_1​(long jarg1,
                                                                  Band jarg1_,
                                                                  int jarg2,
                                                                  int jarg3,
                                                                  int jarg4,
                                                                  int jarg5,
                                                                  int jarg6,
                                                                  int jarg7,
                                                                  int jarg8,
                                                                  java.nio.ByteBuffer jarg9,
                                                                  int jarg11)

    - #### Band_WriteRaster_Direct__SWIG_2

          public static final int Band_WriteRaster_Direct__SWIG_2​(long jarg1,
                                                                  Band jarg1_,
                                                                  int jarg2,
                                                                  int jarg3,
                                                                  int jarg4,
                                                                  int jarg5,
                                                                  int jarg6,
                                                                  int jarg7,
                                                                  int jarg8,
                                                                  java.nio.ByteBuffer jarg9)

    - #### Band_WriteRaster__SWIG_0

          public static final int Band_WriteRaster__SWIG_0​(long jarg1,
                                                           Band jarg1_,
                                                           int jarg2,
                                                           int jarg3,
                                                           int jarg4,
                                                           int jarg5,
                                                           int jarg6,
                                                           int jarg7,
                                                           int jarg8,
                                                           byte[] jarg9,
                                                           int jarg11,
                                                           int jarg12)

    - #### Band_WriteRaster__SWIG_1

          public static final int Band_WriteRaster__SWIG_1​(long jarg1,
                                                           Band jarg1_,
                                                           int jarg2,
                                                           int jarg3,
                                                           int jarg4,
                                                           int jarg5,
                                                           int jarg6,
                                                           int jarg7,
                                                           int jarg8,
                                                           byte[] jarg9,
                                                           int jarg11)

    - #### Band_WriteRaster__SWIG_2

          public static final int Band_WriteRaster__SWIG_2​(long jarg1,
                                                           Band jarg1_,
                                                           int jarg2,
                                                           int jarg3,
                                                           int jarg4,
                                                           int jarg5,
                                                           int jarg6,
                                                           int jarg7,
                                                           int jarg8,
                                                           byte[] jarg9)

    - #### Band_WriteRaster__SWIG_3

          public static final int Band_WriteRaster__SWIG_3​(long jarg1,
                                                           Band jarg1_,
                                                           int jarg2,
                                                           int jarg3,
                                                           int jarg4,
                                                           int jarg5,
                                                           int jarg6,
                                                           int jarg7,
                                                           int jarg8,
                                                           short[] jarg9,
                                                           int jarg11,
                                                           int jarg12)

    - #### Band_WriteRaster__SWIG_4

          public static final int Band_WriteRaster__SWIG_4​(long jarg1,
                                                           Band jarg1_,
                                                           int jarg2,
                                                           int jarg3,
                                                           int jarg4,
                                                           int jarg5,
                                                           int jarg6,
                                                           int jarg7,
                                                           int jarg8,
                                                           short[] jarg9,
                                                           int jarg11)

    - #### Band_WriteRaster__SWIG_5

          public static final int Band_WriteRaster__SWIG_5​(long jarg1,
                                                           Band jarg1_,
                                                           int jarg2,
                                                           int jarg3,
                                                           int jarg4,
                                                           int jarg5,
                                                           int jarg6,
                                                           int jarg7,
                                                           int jarg8,
                                                           short[] jarg9)

    - #### Band_WriteRaster__SWIG_6

          public static final int Band_WriteRaster__SWIG_6​(long jarg1,
                                                           Band jarg1_,
                                                           int jarg2,
                                                           int jarg3,
                                                           int jarg4,
                                                           int jarg5,
                                                           int jarg6,
                                                           int jarg7,
                                                           int jarg8,
                                                           int[] jarg9,
                                                           int jarg11,
                                                           int jarg12)

    - #### Band_WriteRaster__SWIG_7

          public static final int Band_WriteRaster__SWIG_7​(long jarg1,
                                                           Band jarg1_,
                                                           int jarg2,
                                                           int jarg3,
                                                           int jarg4,
                                                           int jarg5,
                                                           int jarg6,
                                                           int jarg7,
                                                           int jarg8,
                                                           int[] jarg9,
                                                           int jarg11)

    - #### Band_WriteRaster__SWIG_8

          public static final int Band_WriteRaster__SWIG_8​(long jarg1,
                                                           Band jarg1_,
                                                           int jarg2,
                                                           int jarg3,
                                                           int jarg4,
                                                           int jarg5,
                                                           int jarg6,
                                                           int jarg7,
                                                           int jarg8,
                                                           int[] jarg9)

    - #### Band_WriteRaster__SWIG_9

          public static final int Band_WriteRaster__SWIG_9​(long jarg1,
                                                           Band jarg1_,
                                                           int jarg2,
                                                           int jarg3,
                                                           int jarg4,
                                                           int jarg5,
                                                           int jarg6,
                                                           int jarg7,
                                                           int jarg8,
                                                           float[] jarg9,
                                                           int jarg11,
                                                           int jarg12)

    - #### Band_WriteRaster__SWIG_10

          public static final int Band_WriteRaster__SWIG_10​(long jarg1,
                                                            Band jarg1_,
                                                            int jarg2,
                                                            int jarg3,
                                                            int jarg4,
                                                            int jarg5,
                                                            int jarg6,
                                                            int jarg7,
                                                            int jarg8,
                                                            float[] jarg9,
                                                            int jarg11)

    - #### Band_WriteRaster__SWIG_11

          public static final int Band_WriteRaster__SWIG_11​(long jarg1,
                                                            Band jarg1_,
                                                            int jarg2,
                                                            int jarg3,
                                                            int jarg4,
                                                            int jarg5,
                                                            int jarg6,
                                                            int jarg7,
                                                            int jarg8,
                                                            float[] jarg9)

    - #### Band_WriteRaster__SWIG_12

          public static final int Band_WriteRaster__SWIG_12​(long jarg1,
                                                            Band jarg1_,
                                                            int jarg2,
                                                            int jarg3,
                                                            int jarg4,
                                                            int jarg5,
                                                            int jarg6,
                                                            int jarg7,
                                                            int jarg8,
                                                            double[] jarg9,
                                                            int jarg11,
                                                            int jarg12)

    - #### Band_WriteRaster__SWIG_13

          public static final int Band_WriteRaster__SWIG_13​(long jarg1,
                                                            Band jarg1_,
                                                            int jarg2,
                                                            int jarg3,
                                                            int jarg4,
                                                            int jarg5,
                                                            int jarg6,
                                                            int jarg7,
                                                            int jarg8,
                                                            double[] jarg9,
                                                            int jarg11)

    - #### Band_WriteRaster__SWIG_14

          public static final int Band_WriteRaster__SWIG_14​(long jarg1,
                                                            Band jarg1_,
                                                            int jarg2,
                                                            int jarg3,
                                                            int jarg4,
                                                            int jarg5,
                                                            int jarg6,
                                                            int jarg7,
                                                            int jarg8,
                                                            double[] jarg9)

    - #### Band_ReadBlock_Direct

          public static final int Band_ReadBlock_Direct​(long jarg1,
                                                        Band jarg1_,
                                                        int jarg2,
                                                        int jarg3,
                                                        java.nio.ByteBuffer jarg4)

    - #### Band_WriteBlock_Direct

          public static final int Band_WriteBlock_Direct​(long jarg1,
                                                         Band jarg1_,
                                                         int jarg2,
                                                         int jarg3,
                                                         java.nio.ByteBuffer jarg4)

    - #### Band_GetHistogram__SWIG_0

          public static final int Band_GetHistogram__SWIG_0​(long jarg1,
                                                            Band jarg1_,
                                                            double jarg2,
                                                            double jarg3,
                                                            int[] jarg4,
                                                            boolean jarg6,
                                                            boolean jarg7,
                                                            ProgressCallback jarg8)

    - #### Band_GetHistogram__SWIG_1

          public static final int Band_GetHistogram__SWIG_1​(long jarg1,
                                                            Band jarg1_,
                                                            double jarg2,
                                                            double jarg3,
                                                            int[] jarg4,
                                                            boolean jarg6,
                                                            boolean jarg7)

    - #### Band_GetHistogram__SWIG_2

          public static final int Band_GetHistogram__SWIG_2​(long jarg1,
                                                            Band jarg1_,
                                                            double jarg2,
                                                            double jarg3,
                                                            int[] jarg4)

    - #### Band_GetHistogram__SWIG_3

          public static final int Band_GetHistogram__SWIG_3​(long jarg1,
                                                            Band jarg1_,
                                                            int[] jarg2)

    - #### Band_GetDefaultHistogram__SWIG_0

          public static final int Band_GetDefaultHistogram__SWIG_0​(long jarg1,
                                                                   Band jarg1_,
                                                                   double[] jarg2,
                                                                   double[] jarg3,
                                                                   int[][] jarg4,
                                                                   boolean jarg6,
                                                                   ProgressCallback jarg7)

    - #### Band_GetDefaultHistogram__SWIG_2

          public static final int Band_GetDefaultHistogram__SWIG_2​(long jarg1,
                                                                   Band jarg1_,
                                                                   double[] jarg2,
                                                                   double[] jarg3,
                                                                   int[][] jarg4,
                                                                   boolean jarg6)

    - #### Band_GetDefaultHistogram__SWIG_3

          public static final int Band_GetDefaultHistogram__SWIG_3​(long jarg1,
                                                                   Band jarg1_,
                                                                   double[] jarg2,
                                                                   double[] jarg3,
                                                                   int[][] jarg4)

    - #### new_ColorTable__SWIG_0

          public static final long new_ColorTable__SWIG_0​(int jarg1)

    - #### new_ColorTable__SWIG_1

          public static final long new_ColorTable__SWIG_1​()

    - #### delete_ColorTable

          public static final void delete_ColorTable​(long jarg1)

    - #### ColorTable_Clone

          public static final long ColorTable_Clone​(long jarg1,
                                                    ColorTable jarg1_)

    - #### ColorTable_GetPaletteInterpretation

          public static final int ColorTable_GetPaletteInterpretation​(long jarg1,
                                                                      ColorTable jarg1_)

    - #### ColorTable_GetCount

          public static final int ColorTable_GetCount​(long jarg1,
                                                      ColorTable jarg1_)

    - #### ColorTable_GetColorEntry

          public static final java.awt.Color ColorTable_GetColorEntry​(long jarg1,
                                                                      ColorTable jarg1_,
                                                                      int jarg2)

    - #### ColorTable_SetColorEntry

          public static final void ColorTable_SetColorEntry​(long jarg1,
                                                            ColorTable jarg1_,
                                                            int jarg2,
                                                            java.awt.Color jarg3)

    - #### ColorTable_CreateColorRamp

          public static final void ColorTable_CreateColorRamp​(long jarg1,
                                                              ColorTable jarg1_,
                                                              int jarg2,
                                                              java.awt.Color jarg3,
                                                              int jarg4,
                                                              java.awt.Color jarg5)

    - #### new_RasterAttributeTable

          public static final long new_RasterAttributeTable​()

    - #### delete_RasterAttributeTable

          public static final void delete_RasterAttributeTable​(long jarg1)

    - #### RasterAttributeTable_Clone

          public static final long RasterAttributeTable_Clone​(long jarg1,
                                                              RasterAttributeTable jarg1_)

    - #### RasterAttributeTable_GetColumnCount

          public static final int RasterAttributeTable_GetColumnCount​(long jarg1,
                                                                      RasterAttributeTable jarg1_)

    - #### RasterAttributeTable_GetNameOfCol

          public static final java.lang.String RasterAttributeTable_GetNameOfCol​(long jarg1,
                                                                                 RasterAttributeTable jarg1_,
                                                                                 int jarg2)

    - #### RasterAttributeTable_GetUsageOfCol

          public static final int RasterAttributeTable_GetUsageOfCol​(long jarg1,
                                                                     RasterAttributeTable jarg1_,
                                                                     int jarg2)

    - #### RasterAttributeTable_GetTypeOfCol

          public static final int RasterAttributeTable_GetTypeOfCol​(long jarg1,
                                                                    RasterAttributeTable jarg1_,
                                                                    int jarg2)

    - #### RasterAttributeTable_GetColOfUsage

          public static final int RasterAttributeTable_GetColOfUsage​(long jarg1,
                                                                     RasterAttributeTable jarg1_,
                                                                     int jarg2)

    - #### RasterAttributeTable_GetRowCount

          public static final int RasterAttributeTable_GetRowCount​(long jarg1,
                                                                   RasterAttributeTable jarg1_)

    - #### RasterAttributeTable_GetValueAsString

          public static final java.lang.String RasterAttributeTable_GetValueAsString​(long jarg1,
                                                                                     RasterAttributeTable jarg1_,
                                                                                     int jarg2,
                                                                                     int jarg3)

    - #### RasterAttributeTable_GetValueAsInt

          public static final int RasterAttributeTable_GetValueAsInt​(long jarg1,
                                                                     RasterAttributeTable jarg1_,
                                                                     int jarg2,
                                                                     int jarg3)

    - #### RasterAttributeTable_GetValueAsDouble

          public static final double RasterAttributeTable_GetValueAsDouble​(long jarg1,
                                                                           RasterAttributeTable jarg1_,
                                                                           int jarg2,
                                                                           int jarg3)

    - #### RasterAttributeTable_SetValueAsString

          public static final void RasterAttributeTable_SetValueAsString​(long jarg1,
                                                                         RasterAttributeTable jarg1_,
                                                                         int jarg2,
                                                                         int jarg3,
                                                                         java.lang.String jarg4)

    - #### RasterAttributeTable_SetValueAsInt

          public static final void RasterAttributeTable_SetValueAsInt​(long jarg1,
                                                                      RasterAttributeTable jarg1_,
                                                                      int jarg2,
                                                                      int jarg3,
                                                                      int jarg4)

    - #### RasterAttributeTable_SetValueAsDouble

          public static final void RasterAttributeTable_SetValueAsDouble​(long jarg1,
                                                                         RasterAttributeTable jarg1_,
                                                                         int jarg2,
                                                                         int jarg3,
                                                                         double jarg4)

    - #### RasterAttributeTable_SetRowCount

          public static final void RasterAttributeTable_SetRowCount​(long jarg1,
                                                                    RasterAttributeTable jarg1_,
                                                                    int jarg2)

    - #### RasterAttributeTable_CreateColumn

          public static final int RasterAttributeTable_CreateColumn​(long jarg1,
                                                                    RasterAttributeTable jarg1_,
                                                                    java.lang.String jarg2,
                                                                    int jarg3,
                                                                    int jarg4)

    - #### RasterAttributeTable_GetLinearBinning

          public static final boolean RasterAttributeTable_GetLinearBinning​(long jarg1,
                                                                            RasterAttributeTable jarg1_,
                                                                            double[] jarg2,
                                                                            double[] jarg3)

    - #### RasterAttributeTable_SetLinearBinning

          public static final int RasterAttributeTable_SetLinearBinning​(long jarg1,
                                                                        RasterAttributeTable jarg1_,
                                                                        double jarg2,
                                                                        double jarg3)

    - #### RasterAttributeTable_GetRowOfValue

          public static final int RasterAttributeTable_GetRowOfValue​(long jarg1,
                                                                     RasterAttributeTable jarg1_,
                                                                     double jarg2)

    - #### RasterAttributeTable_ChangesAreWrittenToFile

          public static final int RasterAttributeTable_ChangesAreWrittenToFile​(long jarg1,
                                                                               RasterAttributeTable jarg1_)

    - #### RasterAttributeTable_DumpReadable

          public static final void RasterAttributeTable_DumpReadable​(long jarg1,
                                                                     RasterAttributeTable jarg1_)

    - #### ComputeMedianCutPCT__SWIG_0

          public static final int ComputeMedianCutPCT__SWIG_0​(long jarg1,
                                                              Band jarg1_,
                                                              long jarg2,
                                                              Band jarg2_,
                                                              long jarg3,
                                                              Band jarg3_,
                                                              int jarg4,
                                                              long jarg5,
                                                              ColorTable jarg5_,
                                                              ProgressCallback jarg6)

    - #### ComputeMedianCutPCT__SWIG_2

          public static final int ComputeMedianCutPCT__SWIG_2​(long jarg1,
                                                              Band jarg1_,
                                                              long jarg2,
                                                              Band jarg2_,
                                                              long jarg3,
                                                              Band jarg3_,
                                                              int jarg4,
                                                              long jarg5,
                                                              ColorTable jarg5_)

    - #### DitherRGB2PCT__SWIG_0

          public static final int DitherRGB2PCT__SWIG_0​(long jarg1,
                                                        Band jarg1_,
                                                        long jarg2,
                                                        Band jarg2_,
                                                        long jarg3,
                                                        Band jarg3_,
                                                        long jarg4,
                                                        Band jarg4_,
                                                        long jarg5,
                                                        ColorTable jarg5_,
                                                        ProgressCallback jarg6)

    - #### DitherRGB2PCT__SWIG_2

          public static final int DitherRGB2PCT__SWIG_2​(long jarg1,
                                                        Band jarg1_,
                                                        long jarg2,
                                                        Band jarg2_,
                                                        long jarg3,
                                                        Band jarg3_,
                                                        long jarg4,
                                                        Band jarg4_,
                                                        long jarg5,
                                                        ColorTable jarg5_)

    - #### ReprojectImage__SWIG_0

          public static final int ReprojectImage__SWIG_0​(long jarg1,
                                                         Dataset jarg1_,
                                                         long jarg2,
                                                         Dataset jarg2_,
                                                         java.lang.String jarg3,
                                                         java.lang.String jarg4,
                                                         int jarg5,
                                                         double jarg6,
                                                         double jarg7,
                                                         ProgressCallback jarg8,
                                                         java.util.Vector jarg10)

    - #### ReprojectImage__SWIG_1

          public static final int ReprojectImage__SWIG_1​(long jarg1,
                                                         Dataset jarg1_,
                                                         long jarg2,
                                                         Dataset jarg2_,
                                                         java.lang.String jarg3,
                                                         java.lang.String jarg4,
                                                         int jarg5,
                                                         double jarg6,
                                                         double jarg7,
                                                         ProgressCallback jarg8)

    - #### ReprojectImage__SWIG_3

          public static final int ReprojectImage__SWIG_3​(long jarg1,
                                                         Dataset jarg1_,
                                                         long jarg2,
                                                         Dataset jarg2_,
                                                         java.lang.String jarg3,
                                                         java.lang.String jarg4,
                                                         int jarg5,
                                                         double jarg6,
                                                         double jarg7)

    - #### ReprojectImage__SWIG_4

          public static final int ReprojectImage__SWIG_4​(long jarg1,
                                                         Dataset jarg1_,
                                                         long jarg2,
                                                         Dataset jarg2_,
                                                         java.lang.String jarg3,
                                                         java.lang.String jarg4,
                                                         int jarg5,
                                                         double jarg6)

    - #### ReprojectImage__SWIG_5

          public static final int ReprojectImage__SWIG_5​(long jarg1,
                                                         Dataset jarg1_,
                                                         long jarg2,
                                                         Dataset jarg2_,
                                                         java.lang.String jarg3,
                                                         java.lang.String jarg4,
                                                         int jarg5)

    - #### ReprojectImage__SWIG_6

          public static final int ReprojectImage__SWIG_6​(long jarg1,
                                                         Dataset jarg1_,
                                                         long jarg2,
                                                         Dataset jarg2_,
                                                         java.lang.String jarg3,
                                                         java.lang.String jarg4)

    - #### ReprojectImage__SWIG_7

          public static final int ReprojectImage__SWIG_7​(long jarg1,
                                                         Dataset jarg1_,
                                                         long jarg2,
                                                         Dataset jarg2_,
                                                         java.lang.String jarg3)

    - #### ReprojectImage__SWIG_8

          public static final int ReprojectImage__SWIG_8​(long jarg1,
                                                         Dataset jarg1_,
                                                         long jarg2,
                                                         Dataset jarg2_)

    - #### ComputeProximity__SWIG_0

          public static final int ComputeProximity__SWIG_0​(long jarg1,
                                                           Band jarg1_,
                                                           long jarg2,
                                                           Band jarg2_,
                                                           java.util.Vector jarg3,
                                                           ProgressCallback jarg4)

    - #### ComputeProximity__SWIG_2

          public static final int ComputeProximity__SWIG_2​(long jarg1,
                                                           Band jarg1_,
                                                           long jarg2,
                                                           Band jarg2_,
                                                           java.util.Vector jarg3)

    - #### ComputeProximity__SWIG_3

          public static final int ComputeProximity__SWIG_3​(long jarg1,
                                                           Band jarg1_,
                                                           long jarg2,
                                                           Band jarg2_)

    - #### RasterizeLayer__SWIG_0

          public static final int RasterizeLayer__SWIG_0​(long jarg1,
                                                         Dataset jarg1_,
                                                         int[] jarg2,
                                                         long jarg4,
                                                         Layer jarg4_,
                                                         double[] jarg5,
                                                         java.util.Vector jarg7,
                                                         ProgressCallback jarg8)

    - #### RasterizeLayer__SWIG_2

          public static final int RasterizeLayer__SWIG_2​(long jarg1,
                                                         Dataset jarg1_,
                                                         int[] jarg2,
                                                         long jarg4,
                                                         Layer jarg4_,
                                                         double[] jarg5,
                                                         java.util.Vector jarg7)

    - #### RasterizeLayer__SWIG_3

          public static final int RasterizeLayer__SWIG_3​(long jarg1,
                                                         Dataset jarg1_,
                                                         int[] jarg2,
                                                         long jarg4,
                                                         Layer jarg4_,
                                                         double[] jarg5)

    - #### RasterizeLayer__SWIG_5

          public static final int RasterizeLayer__SWIG_5​(long jarg1,
                                                         Dataset jarg1_,
                                                         int[] jarg2,
                                                         long jarg4,
                                                         Layer jarg4_)

    - #### Polygonize__SWIG_0

          public static final int Polygonize__SWIG_0​(long jarg1,
                                                     Band jarg1_,
                                                     long jarg2,
                                                     Band jarg2_,
                                                     long jarg3,
                                                     Layer jarg3_,
                                                     int jarg4,
                                                     java.util.Vector jarg5,
                                                     ProgressCallback jarg6)

    - #### Polygonize__SWIG_2

          public static final int Polygonize__SWIG_2​(long jarg1,
                                                     Band jarg1_,
                                                     long jarg2,
                                                     Band jarg2_,
                                                     long jarg3,
                                                     Layer jarg3_,
                                                     int jarg4,
                                                     java.util.Vector jarg5)

    - #### Polygonize__SWIG_3

          public static final int Polygonize__SWIG_3​(long jarg1,
                                                     Band jarg1_,
                                                     long jarg2,
                                                     Band jarg2_,
                                                     long jarg3,
                                                     Layer jarg3_,
                                                     int jarg4)

    - #### FPolygonize__SWIG_0

          public static final int FPolygonize__SWIG_0​(long jarg1,
                                                      Band jarg1_,
                                                      long jarg2,
                                                      Band jarg2_,
                                                      long jarg3,
                                                      Layer jarg3_,
                                                      int jarg4,
                                                      java.util.Vector jarg5,
                                                      ProgressCallback jarg6)

    - #### FPolygonize__SWIG_2

          public static final int FPolygonize__SWIG_2​(long jarg1,
                                                      Band jarg1_,
                                                      long jarg2,
                                                      Band jarg2_,
                                                      long jarg3,
                                                      Layer jarg3_,
                                                      int jarg4,
                                                      java.util.Vector jarg5)

    - #### FPolygonize__SWIG_3

          public static final int FPolygonize__SWIG_3​(long jarg1,
                                                      Band jarg1_,
                                                      long jarg2,
                                                      Band jarg2_,
                                                      long jarg3,
                                                      Layer jarg3_,
                                                      int jarg4)

    - #### FillNodata__SWIG_0

          public static final int FillNodata__SWIG_0​(long jarg1,
                                                     Band jarg1_,
                                                     long jarg2,
                                                     Band jarg2_,
                                                     double jarg3,
                                                     int jarg4,
                                                     java.util.Vector jarg5,
                                                     ProgressCallback jarg6)

    - #### FillNodata__SWIG_2

          public static final int FillNodata__SWIG_2​(long jarg1,
                                                     Band jarg1_,
                                                     long jarg2,
                                                     Band jarg2_,
                                                     double jarg3,
                                                     int jarg4,
                                                     java.util.Vector jarg5)

    - #### FillNodata__SWIG_3

          public static final int FillNodata__SWIG_3​(long jarg1,
                                                     Band jarg1_,
                                                     long jarg2,
                                                     Band jarg2_,
                                                     double jarg3,
                                                     int jarg4)

    - #### SieveFilter__SWIG_0

          public static final int SieveFilter__SWIG_0​(long jarg1,
                                                      Band jarg1_,
                                                      long jarg2,
                                                      Band jarg2_,
                                                      long jarg3,
                                                      Band jarg3_,
                                                      int jarg4,
                                                      int jarg5,
                                                      java.util.Vector jarg6,
                                                      ProgressCallback jarg7)

    - #### SieveFilter__SWIG_2

          public static final int SieveFilter__SWIG_2​(long jarg1,
                                                      Band jarg1_,
                                                      long jarg2,
                                                      Band jarg2_,
                                                      long jarg3,
                                                      Band jarg3_,
                                                      int jarg4,
                                                      int jarg5,
                                                      java.util.Vector jarg6)

    - #### SieveFilter__SWIG_3

          public static final int SieveFilter__SWIG_3​(long jarg1,
                                                      Band jarg1_,
                                                      long jarg2,
                                                      Band jarg2_,
                                                      long jarg3,
                                                      Band jarg3_,
                                                      int jarg4,
                                                      int jarg5)

    - #### SieveFilter__SWIG_4

          public static final int SieveFilter__SWIG_4​(long jarg1,
                                                      Band jarg1_,
                                                      long jarg2,
                                                      Band jarg2_,
                                                      long jarg3,
                                                      Band jarg3_,
                                                      int jarg4)

    - #### RegenerateOverviews__SWIG_0

          public static final int RegenerateOverviews__SWIG_0​(long jarg1,
                                                              Band jarg1_,
                                                              Band[] jarg2,
                                                              java.lang.String jarg4,
                                                              ProgressCallback jarg5)

    - #### RegenerateOverviews__SWIG_2

          public static final int RegenerateOverviews__SWIG_2​(long jarg1,
                                                              Band jarg1_,
                                                              Band[] jarg2,
                                                              java.lang.String jarg4)

    - #### RegenerateOverviews__SWIG_3

          public static final int RegenerateOverviews__SWIG_3​(long jarg1,
                                                              Band jarg1_,
                                                              Band[] jarg2)

    - #### RegenerateOverview__SWIG_0

          public static final int RegenerateOverview__SWIG_0​(long jarg1,
                                                             Band jarg1_,
                                                             long jarg2,
                                                             Band jarg2_,
                                                             java.lang.String jarg3,
                                                             ProgressCallback jarg4)

    - #### RegenerateOverview__SWIG_2

          public static final int RegenerateOverview__SWIG_2​(long jarg1,
                                                             Band jarg1_,
                                                             long jarg2,
                                                             Band jarg2_,
                                                             java.lang.String jarg3)

    - #### RegenerateOverview__SWIG_3

          public static final int RegenerateOverview__SWIG_3​(long jarg1,
                                                             Band jarg1_,
                                                             long jarg2,
                                                             Band jarg2_)

    - #### GridCreate__SWIG_0

          public static final int GridCreate__SWIG_0​(java.lang.String jarg1,
                                                     double[][] jarg2,
                                                     double jarg6,
                                                     double jarg7,
                                                     double jarg8,
                                                     double jarg9,
                                                     int jarg10,
                                                     int jarg11,
                                                     int jarg12,
                                                     java.nio.ByteBuffer jarg13,
                                                     ProgressCallback jarg15)

    - #### GridCreate__SWIG_2

          public static final int GridCreate__SWIG_2​(java.lang.String jarg1,
                                                     double[][] jarg2,
                                                     double jarg6,
                                                     double jarg7,
                                                     double jarg8,
                                                     double jarg9,
                                                     int jarg10,
                                                     int jarg11,
                                                     int jarg12,
                                                     java.nio.ByteBuffer jarg13)

    - #### ContourGenerate__SWIG_0

          public static final int ContourGenerate__SWIG_0​(long jarg1,
                                                          Band jarg1_,
                                                          double jarg2,
                                                          double jarg3,
                                                          double[] jarg4,
                                                          int jarg6,
                                                          double jarg7,
                                                          long jarg8,
                                                          Layer jarg8_,
                                                          int jarg9,
                                                          int jarg10,
                                                          ProgressCallback jarg11)

    - #### ContourGenerate__SWIG_2

          public static final int ContourGenerate__SWIG_2​(long jarg1,
                                                          Band jarg1_,
                                                          double jarg2,
                                                          double jarg3,
                                                          double[] jarg4,
                                                          int jarg6,
                                                          double jarg7,
                                                          long jarg8,
                                                          Layer jarg8_,
                                                          int jarg9,
                                                          int jarg10)

    - #### AutoCreateWarpedVRT__SWIG_0

          public static final long AutoCreateWarpedVRT__SWIG_0​(long jarg1,
                                                               Dataset jarg1_,
                                                               java.lang.String jarg2,
                                                               java.lang.String jarg3,
                                                               int jarg4,
                                                               double jarg5)

    - #### AutoCreateWarpedVRT__SWIG_1

          public static final long AutoCreateWarpedVRT__SWIG_1​(long jarg1,
                                                               Dataset jarg1_,
                                                               java.lang.String jarg2,
                                                               java.lang.String jarg3,
                                                               int jarg4)

    - #### AutoCreateWarpedVRT__SWIG_2

          public static final long AutoCreateWarpedVRT__SWIG_2​(long jarg1,
                                                               Dataset jarg1_,
                                                               java.lang.String jarg2,
                                                               java.lang.String jarg3)

    - #### AutoCreateWarpedVRT__SWIG_3

          public static final long AutoCreateWarpedVRT__SWIG_3​(long jarg1,
                                                               Dataset jarg1_,
                                                               java.lang.String jarg2)

    - #### AutoCreateWarpedVRT__SWIG_4

          public static final long AutoCreateWarpedVRT__SWIG_4​(long jarg1,
                                                               Dataset jarg1_)

    - #### CreatePansharpenedVRT

          public static final long CreatePansharpenedVRT​(java.lang.String jarg1,
                                                         long jarg2,
                                                         Band jarg2_,
                                                         Band[] jarg3)

    - #### new_Transformer

          public static final long new_Transformer​(long jarg1,
                                                   Dataset jarg1_,
                                                   long jarg2,
                                                   Dataset jarg2_,
                                                   java.util.Vector jarg3)

    - #### delete_Transformer

          public static final void delete_Transformer​(long jarg1)

    - #### Transformer_TransformPoint__SWIG_0

          public static final int Transformer_TransformPoint__SWIG_0​(long jarg1,
                                                                     Transformer jarg1_,
                                                                     int jarg2,
                                                                     double[] jarg3)

    - #### Transformer_TransformPoint__SWIG_1

          public static final int Transformer_TransformPoint__SWIG_1​(long jarg1,
                                                                     Transformer jarg1_,
                                                                     double[] jarg2,
                                                                     int jarg3,
                                                                     double jarg4,
                                                                     double jarg5,
                                                                     double jarg6)

    - #### Transformer_TransformPoint__SWIG_2

          public static final int Transformer_TransformPoint__SWIG_2​(long jarg1,
                                                                     Transformer jarg1_,
                                                                     double[] jarg2,
                                                                     int jarg3,
                                                                     double jarg4,
                                                                     double jarg5)

    - #### Transformer_TransformPoints

          public static final int Transformer_TransformPoints​(long jarg1,
                                                              Transformer jarg1_,
                                                              int jarg2,
                                                              double[][] jarg3,
                                                              int[] jarg7)

    - #### Transformer_TransformGeolocations__SWIG_0

          public static final int Transformer_TransformGeolocations__SWIG_0​(long jarg1,
                                                                            Transformer jarg1_,
                                                                            long jarg2,
                                                                            Band jarg2_,
                                                                            long jarg3,
                                                                            Band jarg3_,
                                                                            long jarg4,
                                                                            Band jarg4_,
                                                                            ProgressCallback jarg5,
                                                                            java.util.Vector jarg7)

    - #### Transformer_TransformGeolocations__SWIG_1

          public static final int Transformer_TransformGeolocations__SWIG_1​(long jarg1,
                                                                            Transformer jarg1_,
                                                                            long jarg2,
                                                                            Band jarg2_,
                                                                            long jarg3,
                                                                            Band jarg3_,
                                                                            long jarg4,
                                                                            Band jarg4_,
                                                                            ProgressCallback jarg5)

    - #### Transformer_TransformGeolocations__SWIG_3

          public static final int Transformer_TransformGeolocations__SWIG_3​(long jarg1,
                                                                            Transformer jarg1_,
                                                                            long jarg2,
                                                                            Band jarg2_,
                                                                            long jarg3,
                                                                            Band jarg3_,
                                                                            long jarg4,
                                                                            Band jarg4_)

    - #### ApplyVerticalShiftGrid__SWIG_0

          public static final long ApplyVerticalShiftGrid__SWIG_0​(long jarg1,
                                                                  Dataset jarg1_,
                                                                  long jarg2,
                                                                  Dataset jarg2_,
                                                                  boolean jarg3,
                                                                  double jarg4,
                                                                  double jarg5,
                                                                  java.util.Vector jarg6)

    - #### ApplyVerticalShiftGrid__SWIG_1

          public static final long ApplyVerticalShiftGrid__SWIG_1​(long jarg1,
                                                                  Dataset jarg1_,
                                                                  long jarg2,
                                                                  Dataset jarg2_,
                                                                  boolean jarg3,
                                                                  double jarg4,
                                                                  double jarg5)

    - #### ApplyVerticalShiftGrid__SWIG_2

          public static final long ApplyVerticalShiftGrid__SWIG_2​(long jarg1,
                                                                  Dataset jarg1_,
                                                                  long jarg2,
                                                                  Dataset jarg2_,
                                                                  boolean jarg3,
                                                                  double jarg4)

    - #### ApplyVerticalShiftGrid__SWIG_3

          public static final long ApplyVerticalShiftGrid__SWIG_3​(long jarg1,
                                                                  Dataset jarg1_,
                                                                  long jarg2,
                                                                  Dataset jarg2_,
                                                                  boolean jarg3)

    - #### ApplyVerticalShiftGrid__SWIG_4

          public static final long ApplyVerticalShiftGrid__SWIG_4​(long jarg1,
                                                                  Dataset jarg1_,
                                                                  long jarg2,
                                                                  Dataset jarg2_)

    - #### ApplyGeoTransform

          public static final void ApplyGeoTransform​(double[] jarg1,
                                                     double jarg2,
                                                     double jarg3,
                                                     double[] jarg4,
                                                     double[] jarg5)

    - #### InvGeoTransform

          public static final int InvGeoTransform​(double[] jarg1,
                                                  double[] jarg2)

    - #### VersionInfo__SWIG_0

          public static final java.lang.String VersionInfo__SWIG_0​(java.lang.String jarg1)

    - #### VersionInfo__SWIG_1

          public static final java.lang.String VersionInfo__SWIG_1​()

    - #### AllRegister

          public static final void AllRegister​()

    - #### GDALDestroyDriverManager

          public static final void GDALDestroyDriverManager​()

    - #### GetCacheMax

          public static final int GetCacheMax​()

    - #### GetCacheUsed

          public static final int GetCacheUsed​()

    - #### SetCacheMax

          public static final void SetCacheMax​(int jarg1)

    - #### GetDataTypeSize

          public static final int GetDataTypeSize​(int jarg1)

    - #### DataTypeIsComplex

          public static final int DataTypeIsComplex​(int jarg1)

    - #### GetDataTypeName

          public static final java.lang.String GetDataTypeName​(int jarg1)

    - #### GetDataTypeByName

          public static final int GetDataTypeByName​(java.lang.String jarg1)

    - #### GetColorInterpretationName

          public static final java.lang.String GetColorInterpretationName​(int jarg1)

    - #### GetPaletteInterpretationName

          public static final java.lang.String GetPaletteInterpretationName​(int jarg1)

    - #### DecToDMS__SWIG_0

          public static final java.lang.String DecToDMS__SWIG_0​(double jarg1,
                                                                java.lang.String jarg2,
                                                                int jarg3)

    - #### DecToDMS__SWIG_1

          public static final java.lang.String DecToDMS__SWIG_1​(double jarg1,
                                                                java.lang.String jarg2)

    - #### PackedDMSToDec

          public static final double PackedDMSToDec​(double jarg1)

    - #### DecToPackedDMS

          public static final double DecToPackedDMS​(double jarg1)

    - #### ParseXMLString

          public static final long ParseXMLString​(java.lang.String jarg1)

    - #### SerializeXMLTree

          public static final java.lang.String SerializeXMLTree​(long jarg1,
                                                                XMLNode jarg1_)

    - #### GetJPEG2000StructureAsString__SWIG_0

          public static final java.lang.String GetJPEG2000StructureAsString__SWIG_0​(java.lang.String jarg1,
                                                                                    java.util.Vector jarg2)

    - #### GetJPEG2000StructureAsString__SWIG_1

          public static final java.lang.String GetJPEG2000StructureAsString__SWIG_1​(java.lang.String jarg1)

    - #### GetDriverCount

          public static final int GetDriverCount​()

    - #### GetDriverByName

          public static final long GetDriverByName​(java.lang.String jarg1)

    - #### GetDriver

          public static final long GetDriver​(int jarg1)

    - #### Open__SWIG_0

          public static final long Open__SWIG_0​(java.lang.String jarg1,
                                                int jarg2)

    - #### Open__SWIG_1

          public static final long Open__SWIG_1​(java.lang.String jarg1)

    - #### OpenEx__SWIG_0

          public static final long OpenEx__SWIG_0​(java.lang.String jarg1,
                                                  long jarg2,
                                                  java.util.Vector jarg3,
                                                  java.util.Vector jarg4,
                                                  java.util.Vector jarg5)

    - #### OpenEx__SWIG_1

          public static final long OpenEx__SWIG_1​(java.lang.String jarg1,
                                                  long jarg2,
                                                  java.util.Vector jarg3,
                                                  java.util.Vector jarg4)

    - #### OpenEx__SWIG_2

          public static final long OpenEx__SWIG_2​(java.lang.String jarg1,
                                                  long jarg2,
                                                  java.util.Vector jarg3)

    - #### OpenEx__SWIG_3

          public static final long OpenEx__SWIG_3​(java.lang.String jarg1,
                                                  long jarg2)

    - #### OpenEx__SWIG_4

          public static final long OpenEx__SWIG_4​(java.lang.String jarg1)

    - #### OpenShared__SWIG_0

          public static final long OpenShared__SWIG_0​(java.lang.String jarg1,
                                                      int jarg2)

    - #### OpenShared__SWIG_1

          public static final long OpenShared__SWIG_1​(java.lang.String jarg1)

    - #### IdentifyDriver__SWIG_0

          public static final long IdentifyDriver__SWIG_0​(java.lang.String jarg1,
                                                          java.util.Vector jarg2)

    - #### IdentifyDriver__SWIG_1

          public static final long IdentifyDriver__SWIG_1​(java.lang.String jarg1)

    - #### IdentifyDriverEx__SWIG_0

          public static final long IdentifyDriverEx__SWIG_0​(java.lang.String jarg1,
                                                            long jarg2,
                                                            java.util.Vector jarg3,
                                                            java.util.Vector jarg4)

    - #### IdentifyDriverEx__SWIG_1

          public static final long IdentifyDriverEx__SWIG_1​(java.lang.String jarg1,
                                                            long jarg2,
                                                            java.util.Vector jarg3)

    - #### IdentifyDriverEx__SWIG_2

          public static final long IdentifyDriverEx__SWIG_2​(java.lang.String jarg1,
                                                            long jarg2)

    - #### IdentifyDriverEx__SWIG_3

          public static final long IdentifyDriverEx__SWIG_3​(java.lang.String jarg1)

    - #### GeneralCmdLineProcessor__SWIG_0

          public static final java.util.Vector GeneralCmdLineProcessor__SWIG_0​(java.util.Vector jarg1,
                                                                               int jarg2)

    - #### GeneralCmdLineProcessor__SWIG_1

          public static final java.util.Vector GeneralCmdLineProcessor__SWIG_1​(java.util.Vector jarg1)

    - #### new_InfoOptions

          public static final long new_InfoOptions​(java.util.Vector jarg1)

    - #### delete_InfoOptions

          public static final void delete_InfoOptions​(long jarg1)

    - #### GDALInfo

          public static final java.lang.String GDALInfo​(long jarg1,
                                                        Dataset jarg1_,
                                                        long jarg2,
                                                        InfoOptions jarg2_)

    - #### new_TranslateOptions

          public static final long new_TranslateOptions​(java.util.Vector jarg1)

    - #### delete_TranslateOptions

          public static final void delete_TranslateOptions​(long jarg1)

    - #### Translate__SWIG_0

          public static final long Translate__SWIG_0​(java.lang.String jarg1,
                                                     long jarg2,
                                                     Dataset jarg2_,
                                                     long jarg3,
                                                     TranslateOptions jarg3_,
                                                     ProgressCallback jarg4)

    - #### Translate__SWIG_2

          public static final long Translate__SWIG_2​(java.lang.String jarg1,
                                                     long jarg2,
                                                     Dataset jarg2_,
                                                     long jarg3,
                                                     TranslateOptions jarg3_)

    - #### new_WarpOptions

          public static final long new_WarpOptions​(java.util.Vector jarg1)

    - #### delete_WarpOptions

          public static final void delete_WarpOptions​(long jarg1)

    - #### Warp__SWIG_0

          public static final int Warp__SWIG_0​(long jarg1,
                                               Dataset jarg1_,
                                               Dataset[] jarg2,
                                               long jarg4,
                                               WarpOptions jarg4_,
                                               ProgressCallback jarg5)

    - #### Warp__SWIG_2

          public static final int Warp__SWIG_2​(long jarg1,
                                               Dataset jarg1_,
                                               Dataset[] jarg2,
                                               long jarg4,
                                               WarpOptions jarg4_)

    - #### Warp__SWIG_3

          public static final long Warp__SWIG_3​(java.lang.String jarg1,
                                                Dataset[] jarg2,
                                                long jarg4,
                                                WarpOptions jarg4_,
                                                ProgressCallback jarg5)

    - #### Warp__SWIG_5

          public static final long Warp__SWIG_5​(java.lang.String jarg1,
                                                Dataset[] jarg2,
                                                long jarg4,
                                                WarpOptions jarg4_)

    - #### new_VectorTranslateOptions

          public static final long new_VectorTranslateOptions​(java.util.Vector jarg1)

    - #### delete_VectorTranslateOptions

          public static final void delete_VectorTranslateOptions​(long jarg1)

    - #### VectorTranslate__SWIG_0

          public static final int VectorTranslate__SWIG_0​(long jarg1,
                                                          Dataset jarg1_,
                                                          long jarg2,
                                                          Dataset jarg2_,
                                                          long jarg3,
                                                          VectorTranslateOptions jarg3_,
                                                          ProgressCallback jarg4)

    - #### VectorTranslate__SWIG_2

          public static final int VectorTranslate__SWIG_2​(long jarg1,
                                                          Dataset jarg1_,
                                                          long jarg2,
                                                          Dataset jarg2_,
                                                          long jarg3,
                                                          VectorTranslateOptions jarg3_)

    - #### VectorTranslate__SWIG_3

          public static final long VectorTranslate__SWIG_3​(java.lang.String jarg1,
                                                           long jarg2,
                                                           Dataset jarg2_,
                                                           long jarg3,
                                                           VectorTranslateOptions jarg3_,
                                                           ProgressCallback jarg4)

    - #### VectorTranslate__SWIG_5

          public static final long VectorTranslate__SWIG_5​(java.lang.String jarg1,
                                                           long jarg2,
                                                           Dataset jarg2_,
                                                           long jarg3,
                                                           VectorTranslateOptions jarg3_)

    - #### new_DEMProcessingOptions

          public static final long new_DEMProcessingOptions​(java.util.Vector jarg1)

    - #### delete_DEMProcessingOptions

          public static final void delete_DEMProcessingOptions​(long jarg1)

    - #### DEMProcessing__SWIG_0

          public static final long DEMProcessing__SWIG_0​(java.lang.String jarg1,
                                                         long jarg2,
                                                         Dataset jarg2_,
                                                         java.lang.String jarg3,
                                                         java.lang.String jarg4,
                                                         long jarg5,
                                                         DEMProcessingOptions jarg5_,
                                                         ProgressCallback jarg6)

    - #### DEMProcessing__SWIG_2

          public static final long DEMProcessing__SWIG_2​(java.lang.String jarg1,
                                                         long jarg2,
                                                         Dataset jarg2_,
                                                         java.lang.String jarg3,
                                                         java.lang.String jarg4,
                                                         long jarg5,
                                                         DEMProcessingOptions jarg5_)

    - #### new_NearblackOptions

          public static final long new_NearblackOptions​(java.util.Vector jarg1)

    - #### delete_NearblackOptions

          public static final void delete_NearblackOptions​(long jarg1)

    - #### Nearblack__SWIG_0

          public static final int Nearblack__SWIG_0​(long jarg1,
                                                    Dataset jarg1_,
                                                    long jarg2,
                                                    Dataset jarg2_,
                                                    long jarg3,
                                                    NearblackOptions jarg3_,
                                                    ProgressCallback jarg4)

    - #### Nearblack__SWIG_2

          public static final int Nearblack__SWIG_2​(long jarg1,
                                                    Dataset jarg1_,
                                                    long jarg2,
                                                    Dataset jarg2_,
                                                    long jarg3,
                                                    NearblackOptions jarg3_)

    - #### Nearblack__SWIG_3

          public static final long Nearblack__SWIG_3​(java.lang.String jarg1,
                                                     long jarg2,
                                                     Dataset jarg2_,
                                                     long jarg3,
                                                     NearblackOptions jarg3_,
                                                     ProgressCallback jarg4)

    - #### Nearblack__SWIG_5

          public static final long Nearblack__SWIG_5​(java.lang.String jarg1,
                                                     long jarg2,
                                                     Dataset jarg2_,
                                                     long jarg3,
                                                     NearblackOptions jarg3_)

    - #### new_GridOptions

          public static final long new_GridOptions​(java.util.Vector jarg1)

    - #### delete_GridOptions

          public static final void delete_GridOptions​(long jarg1)

    - #### Grid__SWIG_0

          public static final long Grid__SWIG_0​(java.lang.String jarg1,
                                                long jarg2,
                                                Dataset jarg2_,
                                                long jarg3,
                                                GridOptions jarg3_,
                                                ProgressCallback jarg4)

    - #### Grid__SWIG_2

          public static final long Grid__SWIG_2​(java.lang.String jarg1,
                                                long jarg2,
                                                Dataset jarg2_,
                                                long jarg3,
                                                GridOptions jarg3_)

    - #### new_RasterizeOptions

          public static final long new_RasterizeOptions​(java.util.Vector jarg1)

    - #### delete_RasterizeOptions

          public static final void delete_RasterizeOptions​(long jarg1)

    - #### Rasterize__SWIG_0

          public static final int Rasterize__SWIG_0​(long jarg1,
                                                    Dataset jarg1_,
                                                    long jarg2,
                                                    Dataset jarg2_,
                                                    long jarg3,
                                                    RasterizeOptions jarg3_,
                                                    ProgressCallback jarg4)

    - #### Rasterize__SWIG_2

          public static final int Rasterize__SWIG_2​(long jarg1,
                                                    Dataset jarg1_,
                                                    long jarg2,
                                                    Dataset jarg2_,
                                                    long jarg3,
                                                    RasterizeOptions jarg3_)

    - #### Rasterize__SWIG_3

          public static final long Rasterize__SWIG_3​(java.lang.String jarg1,
                                                     long jarg2,
                                                     Dataset jarg2_,
                                                     long jarg3,
                                                     RasterizeOptions jarg3_,
                                                     ProgressCallback jarg4)

    - #### Rasterize__SWIG_5

          public static final long Rasterize__SWIG_5​(java.lang.String jarg1,
                                                     long jarg2,
                                                     Dataset jarg2_,
                                                     long jarg3,
                                                     RasterizeOptions jarg3_)

    - #### new_BuildVRTOptions

          public static final long new_BuildVRTOptions​(java.util.Vector jarg1)

    - #### delete_BuildVRTOptions

          public static final void delete_BuildVRTOptions​(long jarg1)

    - #### BuildVRT__SWIG_0

          public static final long BuildVRT__SWIG_0​(java.lang.String jarg1,
                                                    Dataset[] jarg2,
                                                    long jarg4,
                                                    BuildVRTOptions jarg4_,
                                                    ProgressCallback jarg5)

    - #### BuildVRT__SWIG_2

          public static final long BuildVRT__SWIG_2​(java.lang.String jarg1,
                                                    Dataset[] jarg2,
                                                    long jarg4,
                                                    BuildVRTOptions jarg4_)

    - #### BuildVRT__SWIG_3

          public static final long BuildVRT__SWIG_3​(java.lang.String jarg1,
                                                    java.util.Vector jarg2,
                                                    long jarg3,
                                                    BuildVRTOptions jarg3_,
                                                    ProgressCallback jarg4)

    - #### BuildVRT__SWIG_5

          public static final long BuildVRT__SWIG_5​(java.lang.String jarg1,
                                                    java.util.Vector jarg2,
                                                    long jarg3,
                                                    BuildVRTOptions jarg3_)

    - #### TermProgressCallback_SWIGUpcast

          public static final long TermProgressCallback_SWIGUpcast​(long jarg1)

    - #### Driver_SWIGUpcast

          public static final long Driver_SWIGUpcast​(long jarg1)

    - #### Dataset_SWIGUpcast

          public static final long Dataset_SWIGUpcast​(long jarg1)

    - #### Band_SWIGUpcast

          public static final long Band_SWIGUpcast​(long jarg1)